<%@ page language="C#" autoeventwireup="true" inherits="Locality, App_Web_kj893aaw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>GeoEnviron WEB - Tmning af spildevandstanke</title>
    <link rel="SHORTCUT ICON" href="GEIcon.ico" />
    <link rel="stylesheet" type="text/css" href="StyleSheet.css" />

    <script language="javascript" type="text/javascript" src="JScript/JScriptMain_v116.js"></script>
    <script language="javascript" type="text/javascript" src="JScript/JScriptAddress_v116.js"></script>
    <script language="javascript" type="text/javascript" src="JScript/JScriptWait_v116.js"></script>
    <script language="javascript" type="text/javascript" src="JScript/JScriptWindowMove_v116.js"></script>

    <script language="javascript" type="text/javascript">

    //Callback
    var callbackSend = 0;

    function GetOnLoad()
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetOnLoad:";
            var context = new Object();
            context.CommandName = "GetOnLoad";
            <%=_callbackstr %>
        }    
    }    

    function SetOnLoad(result)
    {
        if(result.length == 0)
        {
            document.getElementById('TextBox_Address').focus();
            return;
        }
    
        SetSpecificAddress(result);
    }

    function GetAddresses(value)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetAddresses:" + value;
            var context = new Object();
            context.CommandName = "GetAddresses";
            <%=_callbackstr %>
        }    
    }

    function SetAddresses(result)
    {
        var dropDown = document.getElementById('SelectAddress');
        dropDown.options.length = 0;
        var split = result.split('\t');
        var count = 1;
        
        for(var i = 0; i < split[0]; i++)
        {
            AddDropDownListItem(dropDown, split[count], split[count + 1]);
            count += 2;
        }
        
        if(split[0] > 0)
        {
            if(split[0] < 3)
            {
                dropDown.size = 2;
            }
            else if(split[0] > 4)
            {
                dropDown.size = 5;
            }
            else
            {
                dropDown.size = split[0];
            }

            dropDown.style.display = 'block';
        }
        else
        {
            dropDown.style.display = 'none';
        }
    }

    function GetSpecificAddress(site_seq_no)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);

            var Command = "GetSpecificAddress:" + site_seq_no;
            var context = new Object();
            context.CommandName = "GetSpecificAddress";
            WebForm_DoCallback('__Page',Command,CallBackHandler,context,OnError,false)
        }    
    }
    
    function SetSpecificAddress(result)
    {
        var split = result.split('\t');
    
        document.getElementById('TextBox_Address').value = split[0]; 
        document.getElementById('TextBox_ContactName').value = split[1]; 
        document.getElementById('TextBox_ContactAddress').value = split[2]; 
        document.getElementById('TextBox_ContactTown').value = split[3]; 
        document.getElementById('TextBox_ContactPhone').value = split[4];
        document.getElementById('TextBox_ContactEmail').value = split[5];
        
        if(split[6] == '0')
        {
            document.getElementById('CheckBox_ContactEmail').checked = false;
        }
        else
        {
            document.getElementById('CheckBox_ContactEmail').checked = true;
        }
        
        document.getElementById('DropDownList_ContactHouseType').value = split[7];
        document.getElementById('TextBox_ContactSpecialConditions').value = split[8];

        DisableContactInfo(false);
        
        document.getElementById('div_tank').innerHTML = split[9];
        document.getElementById('div_route').innerHTML = split[10];
        document.getElementById('div_note').innerHTML = split[11];
        document.getElementById('Button_CreateNote').disabled = false;
        document.getElementById('Button_NewTank').disabled = false;
    }

    function GetSaveContactInfo(arguments)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);

            var Command = "GetSaveContactInfo:" + arguments;
            var context = new Object();
            context.CommandName = "GetSaveContactInfo";
            WebForm_DoCallback('__Page',Command,CallBackHandler,context,OnError,false)
        }    
    }
    
    function SetSaveContactInfo(result)
    {
        alert(result);
    }
    
    function GetSaveNote(arguments)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);

            var Command = "GetSaveNote:" + arguments;
            var context = new Object();
            context.CommandName = "GetSaveNote";
            WebForm_DoCallback('__Page',Command,CallBackHandler,context,OnError,false)
        }    
    }
    
    function SetSaveNote(result)
    {
        document.getElementById('div_note').innerHTML = result;
        
        DisableDivElements(document.getElementById('div_main'), false);
        document.getElementById('dialog_note').style.display = 'none';
    }

    function CallBackHandler(result, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
    
        switch(context.CommandName)
        {
            case "GetCallBackTest": SetCallBackTest(result); break;
            case "GetOnLoad": SetOnLoad(result); break;
            case "GetAddresses": SetAddresses(result); break;
            case "GetSpecificAddress": SetSpecificAddress(result); break; 
            case "GetSaveContactInfo": SetSaveContactInfo(result); break;
            case "GetSaveNote": SetSaveNote(result); break;
        }
    }

    function OnError(message, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
        alert("Exception :\n" + message);
    }

    
    //Other functions
    
    function windowopen()
    {
        var open = false;
    
        if(document.getElementById('dialog_note').style.display == 'block')
        {
            open = true;
        }

        if(open)
        {
            alert('Et vindue er bent!\nLuk vinduet og klik igen.');
            return true;
        }
        
        return false;
    }
    
    function CloseWindow(winId)
    {
        document.getElementById(winId).style.display = 'none';
        DisableDivElements(document.getElementById('div_main'), false);
    }
    
    function Transfer(tank_seq_no)
    {
        document.getElementById('HiddenField_tank_seq_no').value = tank_seq_no;
        document.getElementById('Button_Select').click();
    }

    function DisableContactInfo(disabled)
    {
        var classNameTextBox = 'textBox';
        var classNameLabel = 'label';
        
        if(disabled)
        {
            classNameTextBox = 'textBoxReadOnly';
            classNameLabel = 'labelReadOnly';
        }

        document.getElementById('Label_ContactPhone').className = classNameLabel;
        document.getElementById('TextBox_ContactPhone').className = classNameTextBox;
        document.getElementById('TextBox_ContactPhone').disabled = disabled;

        document.getElementById('Label_ContactEmail').className = classNameLabel;
        document.getElementById('TextBox_ContactEmail').className = classNameTextBox;
        document.getElementById('TextBox_ContactEmail').disabled = disabled;

        document.getElementById('Label_CheckBox_ContactEmail').className = classNameLabel;
        document.getElementById('CheckBox_ContactEmail').disabled = disabled;
        
        document.getElementById('Label_ContactHouseType').className = classNameLabel;
        document.getElementById('DropDownList_ContactHouseType').disabled = disabled;
        
        document.getElementById('Label_ContactSpecialConditions').className = classNameLabel;
        document.getElementById('TextBox_ContactSpecialConditions').className = classNameTextBox;
        document.getElementById('TextBox_ContactSpecialConditions').disabled = disabled;
        
        document.getElementById('Button_SaveContactInfo').disabled = disabled;
    }
    
    function Button_SaveContactInfo_OnClick()
    {
        if(windowopen())
        {
            return;
        }
    
        var ref_phone           = document.getElementById('TextBox_ContactPhone').value;
        var ref_email           = document.getElementById('TextBox_ContactEmail').value;
        var ref_email_receipt   = '0';
        var util_code           = document.getElementById('DropDownList_ContactHouseType').value;
        var comments            = document.getElementById('TextBox_ContactSpecialConditions').value;
        
        if(document.getElementById('CheckBox_ContactEmail').checked) { ref_email_receipt = '1'; }
        var arguments = ref_phone + '\t' + ref_email + '\t' + ref_email_receipt + '\t' + util_code + '\t' + comments;
        
        GetSaveContactInfo(arguments);
    }
    
    function Button_CreateNote_OnClick()
    {
        DisableDivElements(document.getElementById('div_main'), true);

        document.getElementById('DropDownList_NoteType').selectedIndex = 0;
        document.getElementById('TextBox_Note').value = '';
        
        var obj = document.getElementById('dialog_note');
        obj.style.left = '238px';
        obj.style.top = '276px';
        obj.style.display = 'block';
        
        document.getElementById('DropDownList_NoteType').focus();
    }
    
    function Button_SaveNote_OnClick()
    {
        var note_title_seq_no = document.getElementById('DropDownList_NoteType').value;
        var note = document.getElementById('TextBox_Note').value;
        
        if(note.length == 0)
        {
            alert('Notetekst mangler!');
            return;
        }
        
        var arguments = note_title_seq_no + '\t' + note;
        
        GetSaveNote(arguments);
    }
    
    </script>

</head>
<body onload="GetOnLoad()" onmousemove="Body_OnMouseMove(event)" onmouseup="Body_OnMouseUp()">
    <form id="form1" runat="server">
    <div id="div_main" style="left: 10px; position: absolute; top: 10px; width: 910px;">

        <div id="div_image" runat="server" style="width:902px; height:96px; font-family:Verdana; font-size:8pt; background-image:url(Septic_sv.jpg);">
            
            <a id="div_progVers" runat="server" href="Version.txt" target="_blank" style="float:right; margin-top: 72px; font-size: 8pt; color: white; font-family: Verdana; text-align: right; margin-right: 4px; text-decoration:none;">Ver. x.x.x</a>
            
        </div>

        <div style="width:910px;">
        <!-- hole Page start -->

            <div class="backgroundColor" style="float:left; width:881px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid; padding-right: 9px; padding-left: 10px; padding-bottom: 6px; padding-top: 4px;">
            <!-- main Page start -->

                <!-- Sg -->
                <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                <div class="labelHead" style="float:left; width:24px; padding-left: 2px;">Sg</div>
                <div style="float:left; width:844px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                <br style="clear:both;" />
                
                <div style="width:868px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left:10px; padding-bottom:10px; padding-top:4px; margin-bottom:4px; height:42px;">
                
                    <div id="div_searchText" runat="server" class="label" style="float:left; height:18px; padding-top:3px;">
                        Indtast vejnavn eller postnr. og vlg adressen fra den fremkomne liste.
                    </div>
                    <div style="float:right; height:18px; padding-top:3px; padding-right:12px;">
                        <a href="Login.aspx">Tilbage til start -></a>
                    </div>
                    <br style="clear:both;" />

                    <div id="div_searchAddress" runat="server" class="label" style="float:left; width:57px; padding-top:3px; height: 18px;">
                        Adresse:
                    </div>
                    <div style="float:left; width:808px; height: 20px; padding-top: 1px;">
                        <asp:TextBox ID="TextBox_Address" runat="server" Width="797px" CssClass="textBox" AutoCompleteType="Disabled" MaxLength="80" ReadOnly="false" onkeydown="TextAddressKeyDown(this, event)"></asp:TextBox>
                    </div>
                    <br style="clear:both;" />
                
                </div>

                <div style="float:left; width:440px;">

                    <!-- Kontaktinformation -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:112px; padding-left: 2px;">Kontaktinformation</div>
                    <div style="float:left; width:306px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:418px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 9px; padding-top: 4px; margin-bottom: 4px;">

                        <div id="Label_ContactName" class="labelReadOnly" style="float:left; width:66px; padding-top:4px; height: 17px;">
                            Ejer:
                        </div>
                        <div style="float:left; width:348px; padding-top:1px; height: 20px;">
                            <asp:TextBox ID="TextBox_ContactName" runat="server" Width="338px" CssClass="textBoxReadOnly" AutoCompleteType="Disabled" ReadOnly="True"></asp:TextBox>
                        </div>
                        <br style="clear:both;" />
                        
                        <div id="Label_ContactAddress" class="labelReadOnly" style="float:left; width:66px; padding-top:4px; height: 17px;">
                            Adresse:
                        </div>
                        <div style="float:left; width:348px; padding-top:1px; height: 20px;">
                            <asp:TextBox ID="TextBox_ContactAddress" runat="server" Width="338px" CssClass="textBoxReadOnly" AutoCompleteType="Disabled" ReadOnly="True"></asp:TextBox>
                        </div>
                        <br style="clear:both;" />
                        
                        <div id="Label_ContactZip" class="labelReadOnly" style="float:left; width:66px; padding-top:4px; height: 17px;">
                            Postnr/By:
                        </div>
                        <div style="float:left; width:348px; padding-top:1px; height: 20px;">
                            <asp:TextBox ID="TextBox_ContactTown" runat="server" Width="338px" CssClass="textBoxReadOnly" AutoCompleteType="Disabled" ReadOnly="True"></asp:TextBox>
                        </div>
                        <br style="clear:both;" />

                        <div style="height:6px;"></div>

                        <div id="Label_ContactPhone" class="labelReadOnly" style="float:left; width:66px; padding-top:4px; height: 17px;">
                            Tlf:
                        </div>
                        <div style="float:left; width:348px; padding-top:1px; height: 20px;">
                            <asp:TextBox ID="TextBox_ContactPhone" runat="server" Width="338px" CssClass="textBoxReadOnly" Enabled="False" AutoCompleteType="Disabled" MaxLength="15"></asp:TextBox>
                        </div>
                        <br style="clear:both;" />
                    
                        <div id="Label_ContactEmail" class="labelReadOnly" style="float:left; width:66px; padding-top:4px; height: 17px;">
                            E-mail:
                        </div>
                        <div style="float:left; width:348px; padding-top:1px; height: 20px;">
                            <asp:TextBox ID="TextBox_ContactEmail" runat="server" Width="338px" CssClass="textBoxReadOnly" Enabled="False" AutoCompleteType="Disabled" MaxLength="60"></asp:TextBox>
                        </div>
                        <br style="clear:both;" />
                    
                        <div style="float:left; width:62px; padding-top:4px; height: 17px;">
                            &nbsp;
                        </div>
                        <div style="float:left; width:21px; padding-top:0px; height: 21px;">
                            <input id="CheckBox_ContactEmail" type="checkbox" class="checkBox" disabled="disabled" />
                        </div>
                        <div id="Label_CheckBox_ContactEmail" class="labelReadOnly" style="float:left; width:183px; padding-top:4px; height: 17px;">
                            Kvittering pr. email
                        </div>
                        <br style="clear:both;" />

                        <div style="height:6px;"></div>

                        <div id="Label_ContactHouseType" class="labelReadOnly" style="float:left; width:66px; padding-top:4px; height: 17px;">
                            Brugstype:
                        </div>
                        <div style="float:left; width:348px; height: 19px; padding-top: 2px;">
                            <asp:DropDownList ID="DropDownList_ContactHouseType" runat="server" Width="342px" CssClass="dropDownList" Enabled="false">
                            </asp:DropDownList>
                        </div>
                        <br style="clear:both;" />

                        <div id="Label_ContactSpecialConditions" class="labelReadOnly" style="float:left; width:66px; padding-top:4px; height: 17px;">
                            Srlige forhold p ejendom-men:
                        </div>
                        <div style="float:left; width:348px; padding-top:1px;">
                            <asp:TextBox ID="TextBox_ContactSpecialConditions" runat="server" Width="338px" CssClass="textBoxReadOnly" Enabled="False" AutoCompleteType="Disabled" MaxLength="255" Height="72px" TextMode="MultiLine"></asp:TextBox>
                        </div>
                        <br style="clear:both;" />

                        <div style="float:right; padding-top:9px; padding-right:9px;">
                            <input id="Button_SaveContactInfo" runat="server" type="button" value="Gem" class="button" disabled="disabled" onclick="Button_SaveContactInfo_OnClick()" />
                        </div>
                        <br style="clear:both;" />

                    </div>                    

                </div>
                
                <div style="float:left; width:440px;">

                    <!-- Tanke p ejendom -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:110px; padding-left: 2px;">Tanke p ejendom</div>
                    <div style="float:left; width:318px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:428px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 13px; padding-top: 4px; margin-bottom: 4px;">

                        <div style="float:left; width:80px; height: 15px; padding-left: 2px; padding-right:1px;" class="labelReadOnly">
                            Tank nr.
                        </div>
                        <div style="float:left; width:100px; height: 15px; padding-left: 1px; padding-right:1px;" class="labelReadOnly">
                            Type
                        </div>
                        <div style="float:left; width:80px; height: 15px; padding-left: 1px; text-align:right; padding-right:10px;" class="labelReadOnly">
                            Vol.(liter)
                        </div>
                        <div style="float:left; width:90px; height: 15px; padding-left: 10px; padding-right:1px;" class="labelReadOnly">
                            Sidst tmt
                        </div>
                        <br style="clear:both;" />

                        <div id="div_tank" runat="server" style="width:416px; height:100px; border-right: #7f9db9 1px solid; border-top: #7f9db9 1px solid; border-left: #7f9db9 1px solid; border-bottom: #7f9db9 1px solid; overflow:auto;">
                        </div>
                        
                        <div style="float:right; height:17px; padding-top:9px; padding-right:9px;">
                            <asp:Button ID="Button_NewTank" runat="server" Text="Opret ny tank" CssClass="button" Enabled="false" OnClick="Button_NewTank_Click" />                        
                        </div>
                        <br style="clear:both;" />

                    </div>

                    <!-- Ruter -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:162px; padding-left: 2px;">Ruter som ejendom indgr i</div>
                    <div style="float:left; width:266px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:428px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px;">

                        <div style="float:left; width:255px; height: 15px; color:Gray; padding-left: 2px; padding-right:1px;" class="labelReadOnly">
                            Navn
                        </div>
                        <div style="float:left; width:100px; height: 15px; color:Gray; padding-left: 2px; padding-right:1px;" class="labelReadOnly">
                            Interval (uger)
                        </div>
                        <br style="clear:both;" />
                        
                        <div id="div_route" runat="server" style="width:416px; height:70px; border-right: #7f9db9 1px solid; border-top: #7f9db9 1px solid; border-left: #7f9db9 1px solid; border-bottom: #7f9db9 1px solid; font-size: 8pt; color: black; font-family: Verdana; overflow:auto; cursor:default;">
                        </div>        
                    
                    </div>

                </div>
                <br style="clear:both;" />

                <!-- Noter -->
                <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                <div class="labelHead" style="float:left; width:172px; padding-left: 2px;">Henvendelser og opflgninger</div>
                <div style="float:left; width:696px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                <br style="clear:both;" />
                
                <div style="width:868px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left:10px; padding-bottom:10px; padding-top:4px; margin-bottom:4px;">

                    <div style="float:left; width:80px; height: 15px; padding-left: 3px; padding-right:1px;" class="labelReadOnly">
                        Dato
                    </div>
                    <div style="float:left; width:130px; height: 15px; padding-left: 1px; padding-right:1px;" class="labelReadOnly">
                        Type
                    </div>
                    <div style="float:left; width:614px; height: 15px; padding-left: 1px; padding-right:1px;" class="labelReadOnly">
                        Notetekst
                    </div>
                    <br style="clear:both;" />

                    <div id="div_note" runat="server" style="width:856px; height:100px; border-right: #7f9db9 1px solid; border-top: #7f9db9 1px solid; border-left: #7f9db9 1px solid; border-bottom: #7f9db9 1px solid; overflow:auto;">
                    </div>        

                    <div style="float:right; padding-top:10px; padding-right:9px;">
                        <input id="Button_CreateNote" runat="server" type="button" value="Opret note" class="button" disabled="disabled" onclick="Button_CreateNote_OnClick()" />
                    </div>
                    <br style="clear:both;" />

                </div>

                <div style="width:300px; color:olive; font-size: 8pt; padding-top: 4px; height: 17px;">
                    Udviklet af Geokon A/S
                </div>

                <asp:HiddenField ID="HiddenField_tank_seq_no" runat="server" />
                <asp:Button ID="Button_Select" runat="server" Text="Vlg" CssClass="button" style="display:none;" OnClick="Button_Select_Click" />

            <!-- main Page end -->
            </div>

        <!-- hole Page end -->
        </div>
        
        <div id="div_connectedTo" runat="server" style="color:Silver; font-size:7pt; font-family:Arial; padding-top:2px;">
            Connected to: NOT CONNECTED
        </div>    
        
    </div>

    <div id="divSelectingNumber" style="display:none; width: 131px; height: 20px; background-color: #ffff00; left: 9px; position: absolute; top: 7px;">
        selectingNumber = 0
    </div>
    
    <select id="SelectAddress" class="dropDownList" style="width:801px; display:none; position: absolute; left: 89px; top: 170px; z-index: 1;" size="5" runat="server" onclick="SelectedAddressClick(this)" onkeydown="SelectedAddressKeyDown(this, event)">
    </select>

    <!-- Dialog - Note -->

    <div id="dialog_note" style="border:3px solid #bcd753; display:none; background-color:#bcd753; position:absolute; top:276px; left:238px; width:431px;">
        
        <div style="height:17px;">
            <div id="dialog_note_title" style="font-weight:bold; background-color:#bcd753; color:White; height:17px; width:421px; float:left; cursor:default;" onmousedown="HelpBox_OnMouseDown(event,'dialog_note')">&nbsp;Opret note</div>
            <div style="font-weight:bold; height:17px; color:White; background-color:#bcd753; float:left; cursor:default;" onclick="CloseWindow('dialog_note');">X</div>
        </div>      
        
        <div class="backgroundColor" style="width:410px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid;  border-top: gray 1px solid; padding-right: 9px; padding-left: 10px; padding-bottom: 8px; padding-top: 8px;">

            <div class="label" style="float:left; width:40px; padding-top:3px; height:18px">
                Type:
            </div>
            <div style="float:left; width:369px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_NoteType" runat="server" CssClass="dropDownList" Width="369px"></asp:DropDownList>
            </div>
            <br style="clear:both;" />

            <div class="label" style="float:left; width:40px; padding-top:3px; height: 18px;">
                Note:
            </div>
            <div style="float:left; width:369px; padding-top:1px;">
                <asp:TextBox ID="TextBox_Note" runat="server" Width="365px" CssClass="textBox" AutoCompleteType="Disabled" Height="72px" TextMode="MultiLine"></asp:TextBox>
            </div>
            <br style="clear:both;" />

            <div style="float:right; height:21px; padding-top:8px; padding-right:0px;">
                <button id="Button_SaveNote" class="button" type="button" onclick="Button_SaveNote_OnClick()">Gem</button>
                <button id="Button_CancelSaveNote" class="button" type="button" onclick="CloseWindow('dialog_note');">Annullr</button>
            </div>
            <br style="clear:both;" />
            
       </div>

    </div>

    <div id="div_wait" style="display:none; position:absolute; top:0px; left:0px; z-index: 1;">
        <img alt="" src="wait.gif" />
    </div>
    </form>
</body>
</html>
