<%@ page language="C#" autoeventwireup="true" inherits="Pictures, App_Web_kj893aaw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Billeder</title>
    <link rel="stylesheet" type="text/css" href="styleSheet.css" />

    <script language="javascript" type="text/javascript" src="JScript/JScriptMain_v116.js"></script>
    
    <script language="javascript" type="text/javascript">
    
    function FileChosen()
    {
        var output = true;
        var errorText = 'Fejl:';
        var path = document.getElementById('Fileupload_Picture').value;
    
        if(path == '')
        {
            errorText += '\n* Der er ikke valgt et billede.';
            output = false;
        }

        if(document.getElementById('TextBox_Comment').value == '')
        {
            errorText += '\n* Der er ikke skrevet en kommentar.';
            output = false;
        }

        if(!output)
        {
            alert(errorText);
            return false;
        }
        
        var ext = path.substr(path.lastIndexOf('.')).toLowerCase();
        
        if((ext != '.jpg') && (ext != '.jpeg') && (ext != '.gif') && (ext != '.png'))
        {
            alert('Den valgte fil kan ikke gemmes!\nFiltypen skal vre .jpg, .jpeg, .gif eller .png');
            return false;
        }
        
        return true;
    }

    function DownloadFile(pic_seq_no, file_name)
    {
        document.getElementById('HiddenField_pic_seq_no').value = pic_seq_no;
        document.getElementById('HiddenField_file_name').value = file_name;
        
        document.getElementById('Button_DownloadFile').click();
    }

    </script>
    
</head>
<body class="iFrameBody">
    <form id="form1" runat="server">
    <div id="div_main" style="position:absolute; top:0px; left:0px;">

        <div id="div_error" runat="server" style="display:none; color:Red">
            ERROR
        </div>

        <div id="div_default" runat="server" style="display:block;">

        <!-- Upload billede -->
        <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
        <div class="labelHead" style="float:left; width:82px; padding-left: 2px;">Upload billede</div>
        <div style="float:left; width:764px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
        <br style="clear:both;" />
        
        <div style="width:846px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 9px; padding-top: 4px; margin-bottom: 4px;">

            <div style="float:left;">

                <div class="label" style="float:left; width:76px; height:17px; padding-top:4px;">
                    Billede:
                </div>
                <div style="float:left; width:661px; height:20px; padding-top:1px;">
                    <asp:fileupload ID="Fileupload_Picture" runat="server" Width="652px" Font-Names="Verdana" Font-Size="8pt" CssClass="fileupload" Height="19px"></asp:fileupload>
                </div>
                <br style="clear:both;" />

                <div class="label" style="float:left; width:76px; height:17px; padding-top:4px;">
                    Kommentar:
                </div>
                <div style="float:left; width:661px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_Comment" runat="server" Width="648px" CssClass="textBox" MaxLength="60"></asp:TextBox>
                </div>
                <br style="clear:both;" />

                <div style="padding-top:3px; padding-left:76px; height:18px; color:Red; width: 650px;">
                    OBS: Billederne m maksimalt have en strrelse p 10 MB og filtypen skal vre .jpg, .jpeg, .gif eller .png
                </div>
            
            </div>
            
            <div style="float:left; padding-left:0px; padding-top:1px;">
                <asp:Button ID="Button_Upload" runat="server" style="width:100px; height:42px;" Text="Upload" CssClass="button" OnClientClick="return FileChosen()" OnClick="Button_Upload_Click" />
            </div>
            <br style="clear:both;" />
                
        </div>

        <!-- Billeder -->
        <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
        <div class="labelHead" style="float:left; width:46px; padding-left: 2px;">Billeder</div>
        <div style="float:left; width:800px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
        <br style="clear:both;" />
        
        <div style="width:846px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px;">

            <div style="float:left; width:80px; height: 15px; color:Gray; padding-left: 2px; padding-right:1px;" class="labelReadOnly">
                Dato
            </div>
            <div style="float:left; width:200px; height: 15px; color:Gray; padding-left: 1px; padding-right:1px;" class="labelReadOnly">
                Navn
            </div>
            <div style="float:left; width:520px; height: 15px; color:Gray; padding-left: 1px; padding-right:1px;" class="labelReadOnly">
                Kommentar
            </div>
            <br style="clear:both;" />
            <div id="div_files" runat="server" style="width:834px; border-right: #7f9db9 1px solid; border-top: #7f9db9 1px solid; border-left: #7f9db9 1px solid; border-bottom: #7f9db9 1px solid; font-size: 8pt; color: black; font-family: Verdana; cursor:default; height:202px;">
            </div>        
        
        </div>

        </div>

        <div id="div_wait" style="display:none; position:absolute; top:160px; left:380px; z-index: 1;">
            <img alt="" src="wait.gif" />
        </div>

        <asp:HiddenField ID="HiddenField_pic_seq_no" runat="server" />
        <asp:HiddenField ID="HiddenField_file_name" runat="server" />
        <asp:Button ID="Button_DownloadFile" runat="server" Text="Download" CssClass="button" style="display:none;" OnClick="Button_DownloadFile_Click" />

    </div>
    
    </form>
</body>
</html>
