<%@ page language="C#" autoeventwireup="true" inherits="PreviousFlushings, App_Web_kj893aaw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Tidligere tmninger</title>
    <link rel="stylesheet" type="text/css" href="styleSheet.css" />

    <script language="javascript" type="text/javascript" src="JScript/JScriptMain_v116.js"></script>
    <script language="javascript" type="text/javascript" src="JScript/JScriptWait_v116.js"></script>

    <script language="javascript" type="text/javascript">

    //Callback
    var callbackSend = 0;

    function GetCallBackTest()
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetCallBackTest:";
            var context = new Object();
            context.CommandName = "GetCallBackTest";
            <%=_callbackstr %>
        }    
    }
    
    function SetCallBackTest(result)
    {
        alert(result);
    }

    function GetPreviousFlushing(collect_seq_no)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetPreviousFlushing:" + collect_seq_no;
            var context = new Object();
            context.CommandName = "GetPreviousFlushing";
            <%=_callbackstr %>
        }    
    }
    
    function SetPreviousFlushing(result)
    {
        var split = result.split('\t');
    
        document.getElementById('div_flushings').innerHTML = split[0];

        document.getElementById('TextBox_FlushDate').value = split[1];
        document.getElementById('TextBox_FlushTime').value = split[2];
        
        document.getElementById('DropDownList_FlushCarType').value = split[3];
        document.getElementById('DropDownList_FlushCollectType').value = split[4];
        document.getElementById('TextBox_FlushFloatingSludge').value = split[5];
        document.getElementById('TextBox_FlushBottomSludge').value = split[6];
        document.getElementById('TextBox_FlushVolume').value = split[7];
        document.getElementById('TextBox_FlushVolumeFilledUp').value = split[8];
        document.getElementById('DropDownList_FlushFillDegree').value = split[9];
        document.getElementById('DropDownList_FlushDumpId').value = split[10];
        document.getElementById('TextBox_FlushComments').value = split[11];
        document.getElementById('TextBox_FlushOrderDate').value = split[12];

        if(split[13] == '1') { document.getElementById('CheckBox_Condition').checked = true; }
        else { document.getElementById('CheckBox_Condition').checked = false; }

        document.getElementById('DropDownList_ConditionAccessRoad').value = split[14];
        document.getElementById('DropDownList_ConditionInlet').value = split[15];
        document.getElementById('DropDownList_ConditionClog').value = split[16];
        document.getElementById('DropDownList_ConditionTTube').value = split[17];
        document.getElementById('DropDownList_ConditionChambre').value = split[18];
        document.getElementById('DropDownList_ConditionCover').value = split[19];
        document.getElementById('DropDownList_ConditionImpededAccess').value = split[20];
        document.getElementById('DropDownList_ConditionBottom').value = split[21];

        document.getElementById('TextBox_ConditionAccessRoadComments').value = split[22];
        document.getElementById('TextBox_ConditionInletComments').value = split[23];
        document.getElementById('TextBox_ConditionClogComments').value = split[24];
        document.getElementById('TextBox_ConditionTTubeComments').value = split[25];
        document.getElementById('TextBox_ConditionChambreComments').value = split[26];
        document.getElementById('TextBox_ConditionCoverComments').value = split[27];
        document.getElementById('TextBox_ConditionImpededAccessComments').value = split[28];
        document.getElementById('TextBox_ConditionBottomComments').value = split[29];
    }
    
    function CallBackHandler(result, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
    
        switch(context.CommandName)
        {
            case "GetCallBackTest": SetCallBackTest(result); break;
            case "GetPreviousFlushing": SetPreviousFlushing(result); break;
        }
    }

    function OnError(message, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
        alert("Exception :\n" + message);
    }
    
    </script>

</head>
<body class="iFrameBody" onload="">
    <form id="form1" runat="server">
    <div id="div_main" style="position:absolute; top:0px; left:0px; display:block;">

        <!-- Tmninger -->
        <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
        <div class="labelHead" style="float:left; width:64px; padding-left: 2px;">Tmninger</div>
        <div style="float:left; width:782px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
        <br style="clear:both;" />
        
        <div style="width:846px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 0px;">

            <div style="float:left; width:72px; height: 15px; color:Gray; padding-left: 2px; padding-right:1px;" class="labelReadOnly">
                Dato
            </div>

            <div style="float:left; width:40px; height: 15px; color:Gray; padding-left: 2px; padding-right:1px;" class="labelReadOnly">
                Tid
            </div>
            <div style="float:left; width:120px; height: 15px; color:Gray; padding-left: 1px; padding-right:1px;" class="labelReadOnly">
                Tmningstype
            </div>
            <div style="float:left; text-align:right; width:66px; height: 15px; color:Gray; padding-left: 1px; padding-right:1px;" class="labelReadOnly">
                Flydeslam
            </div>
            <div style="float:left; text-align:right; width:66px; height: 15px; color:Gray; padding-left: 1px; padding-right:1px;" class="labelReadOnly">
                Bundslam
            </div>
            <div style="float:left; text-align:right; width:66px; height: 15px; color:Gray; padding-left: 1px; padding-right:1px;" class="labelReadOnly">
                Volumen
            </div>
            <div style="float:left; width:356px; height: 15px; color:Gray; padding-left:8px; padding-right:1px;" class="labelReadOnly">
                Bemrkning
            </div>
            <br style="clear:both;" />

            <div id="div_flushings" runat="server" style="width:834px; height:77px; border-right: #7f9db9 1px solid; border-top: #7f9db9 1px solid; border-left: #7f9db9 1px solid; border-bottom: #7f9db9 1px solid; font-size: 8pt; color: black; font-family: Verdana; cursor:default; overflow:auto;">
            </div>        
                
        </div>

        <div style="float:left; width:450px;">

            <!-- Tmning -->
            <div style="float:left; width:8px; margin-top:11px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
            <div class="labelHead" style="float:left; width:52px; padding-left: 2px; margin-top:5px;">Tmning</div>
            <div style="float:left; width:376px; border-right: black 1px solid; border-top: black 1px solid; margin-top:11px; height: 6px;"></div>
            <br style="clear:both;" />
            
            <div style="width:428px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-top: 4px; margin-bottom: 0px; height: 197px;">

                <div style="float:left; width:76px; padding-top:3px; height:18px" class="labelReadOnly">
                    Dato/Tid:
                </div>
                <div style="float:left; width:72px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_FlushDate" runat="server" CssClass="textBoxReadOnly" Width="66px" ReadOnly="true"></asp:TextBox>
                </div>
                <div style="float:left; width:74px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_FlushTime" runat="server" CssClass="textBoxReadOnly" Width="33px" ReadOnly="true"></asp:TextBox>
                </div>
                <div style="float:left; width:96px; padding-top:3px; height:18px" class="labelReadOnly">
                    Biltype:
                </div>
                <div style="float:left; width:102px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_FlushCarType" runat="server" CssClass="dropDownListReadOnly" Width="74px" Enabled="false"></asp:DropDownList>
                </div>
                <br style="clear:both;" />

                <div style="float:left; width:76px; padding-top:3px; height:18px" class="labelReadOnly">
                    Tmn.type:
                </div>
                <div style="float:left; width:146px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_FlushCollectType" runat="server" CssClass="dropDownListReadOnly" Width="109px" Enabled="false"></asp:DropDownList>
                </div>
                <div style="float:left; width:96px; padding-top:3px; height:18px" class="labelReadOnly">
                    Tmt volumen:
                </div>
                <div style="float:left; width:78px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_FlushVolume" runat="server" CssClass="textBoxReadOnly" Width="70px" ReadOnly="true"></asp:TextBox>
                </div>
                <div style="float:left; width:24px; padding-top:3px; height:18px" class="labelReadOnly">
                    liter
                </div>
                <br style="clear:both;" />
                        
                <div style="float:left; width:76px; padding-top:3px; height:18px" class="labelReadOnly">
                    Flydeslam:
                </div>
                <div style="float:left; width:112px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_FlushFloatingSludge" runat="server" CssClass="textBoxReadOnly" Width="105px" ReadOnly="true"></asp:TextBox>
                </div>
                <div style="float:left; width:34px; padding-top:3px; height:18px" class="labelReadOnly">
                    cm
                </div>
                <div style="float:left; width:96px; padding-top:3px; height:18px" class="labelReadOnly">
                    Efterfyldt vol.:
                </div>
                <div style="float:left; width:78px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_FlushVolumeFilledUp" runat="server" CssClass="textBoxReadOnly" Width="70px" ReadOnly="true"></asp:TextBox>
                </div>
                <div style="float:left; width:24px; padding-top:3px; height:18px" class="labelReadOnly">
                    liter
                </div>
                <br style="clear:both;" />

                <div style="float:left; width:76px; padding-top:3px; height:18px" class="labelReadOnly">
                    Bundslam:
                </div>
                <div style="float:left; width:112px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_FlushBottomSludge" runat="server" CssClass="textBoxReadOnly" Width="105px" ReadOnly="true"></asp:TextBox>
                </div>
                <div style="float:left; width:34px; padding-top:3px; height:18px" class="labelReadOnly">
                    cm
                </div>
                <div style="float:left; width:96px; padding-top:3px; height:18px" class="labelReadOnly">
                    Fyldningsgrad:
                </div>
                <div style="float:left; width:102px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_FlushFillDegree" runat="server" CssClass="dropDownListReadOnly" Width="74px" Enabled="false"></asp:DropDownList>
                </div>
                <br style="clear:both;" />

                <div style="float:left; width:100px; padding-top:13px; height:17px;" class="labelReadOnly">
                    Aflsningssted:
                </div>
                <div style="float:left; width:320px; height:19px; padding-top:11px;">
                    <asp:DropDownList ID="DropDownList_FlushDumpId" runat="server" CssClass="dropDownListReadOnly" Width="292px" Enabled="false"></asp:DropDownList>
                </div>
                <br style="clear:both" />

                <div style="float:left; width:100px;">
                    <div style="width:100px; padding-top:2px; height:18px;" class="labelReadOnly">
                        Bemrkning:
                    </div>
                    <div style="padding-top:5px;">
                        <input id="Button_Print" runat="server" class="button" type="button" style="display:none;" value="Udskriv" onclick="window.open('PrintReceipt.aspx?print=single');" />                                          
                    </div>
                </div>
                <div style="float:left; width:320px; padding-top:0px;">
                    <asp:TextBox ID="TextBox_FlushComments" runat="server" Width="288px" CssClass="textBoxReadOnly" Height="47px" TextMode="MultiLine" ReadOnly="true"></asp:TextBox>
                </div>
                <br style="clear:both" />
                
                <div style="float:left; width:100px; padding-top:4px; height:18px;" class="labelReadOnly">
                    Rekvireret dato:
                </div>
                <div style="float:left; width:72px; height:20px; padding-top:2px;">
                    <asp:TextBox ID="TextBox_FlushOrderDate" runat="server" CssClass="textBoxReadOnly" Width="66px" ReadOnly="true"></asp:TextBox>
                </div>
                <br style="clear:both" />
                    
            </div>

        </div>

        <div style="float:left;">

            <!-- Tilstandsvurdering -->

            <div style="float:left; width:8px; border-top: black 1px solid; margin-top: 11px; border-left: black 1px solid; height: 6px;"></div>
            <div style="float:left; padding-right: 2px; height: 12px; width: 126px;">
                <asp:CheckBox ID="CheckBox_Condition" runat="server" Text="Tilstandsvurdering" Width="125px" Enabled="false" />
            </div>
            <div style="float:left; width:270px; border-top: black 1px solid; margin-top: 11px; border-right: black 1px solid; height: 6px;"></div>
            <br style="clear:both;" />

            <div style="border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left:10px; padding-top:1px; height:200px; width: 396px;" id="div_visuelControl">

                <div style="float:left; width:78px; height: 13px; padding-top:4px; border-bottom: gray 1px solid; margin-right:4px; margin-bottom:4px;" class="labelReadOnly">
                    Enhed
                </div>
                <div style="float:left; width:150px; height: 13px; padding-top:4px; border-bottom: gray 1px solid; margin-right:4px; margin-bottom:4px;" class="labelReadOnly">
                    Tilstand
                </div>
                <div style="float:left; width:150px; height: 13px; padding-top:4px; border-bottom: gray 1px solid; margin-right:6px; margin-bottom:4px;" class="labelReadOnly">
                    Bemrkning
                </div>
                <br style="clear:both;" />

                <div id="Label_ConditionAccessRoad" style="float:left; width:82px; padding-top:3px; height:18px" class="labelReadOnly">
                    Adgangsvej:
                </div>
                <div style="float:left; width:154px; height:19px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_ConditionAccessRoad" runat="server" CssClass="dropDownListReadOnly" Width="150px" Enabled="false">
                    </asp:DropDownList>
                </div>
                <div style="float:left; width:154px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_ConditionAccessRoadComments" runat="server" CssClass="textBoxReadOnly" Width="146px" MaxLength="255" ReadOnly="True"></asp:TextBox>
                </div>
                <br style="clear:both;" />

                <div id="Label_ConditionInlet" style="float:left; width:82px; padding-top:3px; height:18px" class="labelReadOnly">
                    Indlb:
                </div>
                <div style="float:left; width:154px; height:19px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_ConditionInlet" runat="server" CssClass="dropDownListReadOnly" Width="150px" Enabled="false">
                    </asp:DropDownList>
                </div>
                <div style="float:left; width:154px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_ConditionInletComments" runat="server" CssClass="textBoxReadOnly" Width="146px" MaxLength="255" ReadOnly="True"></asp:TextBox>
                </div>
                <br style="clear:both;" />

                <div id="Label_ConditionClog" style="float:left; width:82px; padding-top:3px; height:18px" class="labelReadOnly">
                    Udlb:
                </div>
                <div style="float:left; width:154px; height:19px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_ConditionClog" runat="server" CssClass="dropDownListReadOnly" Width="150px" Enabled="false">
                    </asp:DropDownList>
                </div>
                <div style="float:left; width:154px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_ConditionClogComments" runat="server" CssClass="textBoxReadOnly" Width="146px" MaxLength="255" ReadOnly="True"></asp:TextBox>
                </div>
                <br style="clear:both;" />

                <div id="Label_ConditionTTube" style="float:left; width:82px; padding-top:3px; height:18px" class="labelReadOnly">
                    T-rr:
                </div>
                <div style="float:left; width:154px; height:19px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_ConditionTTube" runat="server" CssClass="dropDownListReadOnly" Width="150px" Enabled="false">
                    </asp:DropDownList>
                </div>
                <div style="float:left; width:154px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_ConditionTTubeComments" runat="server" CssClass="textBoxReadOnly" Width="146px" MaxLength="255" ReadOnly="True"></asp:TextBox>
                </div>
                <br style="clear:both;" />

                <div id="Label_ConditionChambre" style="float:left; width:82px; padding-top:3px; height:18px" class="labelReadOnly">
                    Kamre:
                </div>
                <div style="float:left; width:154px; height:19px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_ConditionChambre" runat="server" CssClass="dropDownListReadOnly" Width="150px" Enabled="false">
                    </asp:DropDownList>
                </div>
                <div style="float:left; width:154px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_ConditionChambreComments" runat="server" CssClass="textBoxReadOnly" Width="146px" MaxLength="255" ReadOnly="True"></asp:TextBox>
                </div>
                <br style="clear:both;" />

                <div id="Label_ConditionCover" style="float:left; width:82px; padding-top:3px; height:18px" class="labelReadOnly">
                    Dksel:
                </div>
                <div style="float:left; width:154px; height:19px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_ConditionCover" runat="server" CssClass="dropDownListReadOnly" Width="150px" Enabled="false">
                    </asp:DropDownList>
                </div>
                <div style="float:left; width:154px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_ConditionCoverComments" runat="server" CssClass="textBoxReadOnly" Width="146px" MaxLength="255" ReadOnly="True"></asp:TextBox>
                </div>
                <br style="clear:both;" />

                <div id="Label_ConditionImpededAccess" style="float:left; width:82px; padding-top:3px; height:18px" class="labelReadOnly">
                    - ikke fritlagt:
                </div>
                <div style="float:left; width:154px; height:19px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_ConditionImpededAccess" runat="server" CssClass="dropDownListReadOnly" Width="150px" Enabled="false">
                    </asp:DropDownList>
                </div>
                <div style="float:left; width:154px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_ConditionImpededAccessComments" runat="server" CssClass="textBoxReadOnly" Width="146px" MaxLength="255" ReadOnly="True"></asp:TextBox>
                </div>
                <br style="clear:both;" />

                <div id="Label_ConditionBottom" style="float:left; width:82px; padding-top:3px; height:18px" class="labelReadOnly">
                    Tank:
                </div>
                <div style="float:left; width:154px; height:19px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_ConditionBottom" runat="server" CssClass="dropDownListReadOnly" Width="150px" Enabled="false">
                    </asp:DropDownList>
                </div>
                <div style="float:left; width:154px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_ConditionBottomComments" runat="server" CssClass="textBoxReadOnly" Width="146px" MaxLength="255" ReadOnly="True"></asp:TextBox>
                </div>
                <br style="clear:both;" />

            </div>

        </div>
        <br style="clear:both;" />

    </div>

    <div id="div_wait" style="display:none; position:absolute; top:0px; left:0px; z-index: 1;">
        <img alt="" src="wait.gif" />
    </div>

    </form>
</body>

</html>
