<%@ page language="C#" autoeventwireup="true" inherits="Report, App_Web_kj893aaw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>GeoEnviron WEB - Tmning af spildevandstanke</title>
    <link rel="SHORTCUT ICON" href="GEIcon.ico" />
    <link rel="stylesheet" type="text/css" href="StyleSheet.css" />
    <link rel="stylesheet" type="text/css" href="styleSheetCalendar.css" />

    <script language="javascript" type="text/javascript" src="JScript/JScriptMain_v116.js"></script>
    <script language="javascript" type="text/javascript" src="JScript/JScriptWait_v116.js"></script>
    <script language="javascript" type="text/javascript" src="JScript/JScriptCalendar_v116.js"></script>

    <script language="javascript" type="text/javascript">

    //Callback
    var callbackSend = 0;

    function GetCallBackTest()
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetCallBackTest:";
            var context = new Object();
            context.CommandName = "GetCallBackTest";
            <%=_callbackstr %>
        }    
    }
    
    function SetCallBackTest(result)
    {
        alert(result);
    }

    function GetReport1(arguments)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetReport1:" + arguments;
            var context = new Object();
            context.CommandName = "GetReport1";
            <%=_callbackstr %>
        }    
    }
    
    function SetReport1(result)
    {
        document.getElementById('div_result').innerHTML = result;
    }

    function GetReport2(arguments)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetReport2:" + arguments;
            var context = new Object();
            context.CommandName = "GetReport2";
            <%=_callbackstr %>
        }    
    }
    
    function SetReport2(result)
    {
        document.getElementById('div_result').innerHTML = result;
    }

    function CallBackHandler(result, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
    
        switch(context.CommandName)
        {
            case "GetCallBackTest": SetCallBackTest(result); break;
            case "GetReport1": SetReport1(result); break;
            case "GetReport2": SetReport2(result); break;
        }
    }

    function OnError(message, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
        alert("Exception :\n" + message);
    }


    //Other functions
    
    function SwitchCriteria()
    {
        HideCalendar();
    
        var obj = document.getElementById('DropDownList_ReportType');
        
        for(var i = 0; i < obj.length; i++)
        {
            document.getElementById('div_Criteria_report' + (i + 1).toString()).style.display = 'none';
        }

        document.getElementById('div_Criteria_report' + (obj.selectedIndex + 1).toString()).style.display = 'block';
    }
    
    function Button_Report1_GetReport_OnClick()
    {
        HideCalendar();
    
        var dateBegin       = document.getElementById('TextBox_Report1_DateBegin').value;
        var dateEnd         = document.getElementById('TextBox_Report1_DateEnd').value;
        var district_code   = document.getElementById('DropDownList_Report1_District').value;
        var inVain          = document.getElementById('DropDownList_Report1_InVainFlush').value;

        if((!DateOK(dateBegin)) || (!DateOK(dateEnd)))
        {
            return;
        }

        var arguments = dateBegin + '\t' + dateEnd + '\t' + district_code + '\t' + inVain;
    
        GetReport1(arguments);
    }

    function Button_Report2_GetReport_OnClick()
    {
        HideCalendar();
    
        var dateBegin       = document.getElementById('TextBox_Report2_DateBegin').value;
        var dateEnd         = document.getElementById('TextBox_Report2_DateEnd').value;
        var district_code   = document.getElementById('DropDownList_Report2_District').value;
        var operator_id     = document.getElementById('DropDownList_Report2_ExecutedBy').value;
        var tankUnit        = document.getElementById('DropDownList_Report2_TankUnit').value;

        if((!DateOK(dateBegin)) || (!DateOK(dateEnd)))
        {
            return;
        }

        var arguments = dateBegin + '\t' + dateEnd + '\t' + district_code + '\t' + operator_id + '\t' + tankUnit;
    
        GetReport2(arguments);
    }
    
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div id="div_main" style="left: 10px; position: absolute; top: 10px; width: 910px;">

        <div id="div_image" runat="server" style="width:902px; height:96px; font-family:Verdana; font-size:8pt; background-image:url(Septic_sv.jpg);">
            
            <a id="div_progVers" runat="server" href="Version.txt" target="_blank" style="float:right; margin-top: 72px; font-size: 8pt; color: white; font-family: Verdana; text-align: right; margin-right: 4px; text-decoration:none;">Ver. x.x.x</a>
            
        </div>

        <div style="width:910px;">
        <!-- hole Page start -->

            <div class="backgroundColor" style="width:890px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid; padding-right: 0px; padding-left: 10px; padding-bottom: 6px; padding-top: 4px;">
            <!-- main Page start -->

                <div class="label" style="float:left; height:18px; padding-top:8px; width: 86px;">
                    Rapport type:
                </div>
                <div style="float:left; width:800px; height: 20px; padding-top: 6px;">
                    <asp:DropDownList ID="DropDownList_ReportType" runat="server" Width="794px" CssClass="dropDownList" onchange="SwitchCriteria()">
                        <asp:ListItem Selected="True" Value="0">T&#248;mninger (oversigt over ejendomme, hvor der er tanke, som ikke er t&#248;mt i valgt periode)</asp:ListItem>
                        <asp:ListItem Value="1">Tilstandsvurdering (Oversigt over ejendomme, hvor der, i valgt periode, er registreret fejl og mangler p&#229; tanke)</asp:ListItem>
                    </asp:DropDownList>
                </div>
                <br style="clear:both;" />

                <div style="height:4px;"></div>

                <div id="div_Criteria_report1" style="display:block;">

                    <!-- Kriterier report1 -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:112px; padding-left: 2px;">Kriterier - Tmning</div>
                    <div style="float:left; width:756px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:868px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px;">

                        <div style="float:left; width:795px;">

                            <div class="label" style="float:left; height:18px; padding-top:3px; width: 60px;">
                                Distrikt:
                            </div>
                            <div style="float:left; width:320px; height: 20px; padding-top: 1px;">
                                <asp:DropDownList ID="DropDownList_Report1_District" runat="server" Width="280px" CssClass="dropDownList"></asp:DropDownList>
                            </div>
                            <div class="label" style="float:left; height:18px; padding-top:3px; width: 152px;">
                                Forgves tmning udfrt:
                            </div>
                            <div style="float:left; width:169px; height:20px; padding-top:1px;">
                                <asp:DropDownList ID="DropDownList_Report1_InVainFlush" runat="server" Width="74px" CssClass="dropDownList">
                                    <asp:ListItem Selected="True" Value="0">Nej</asp:ListItem>
                                    <asp:ListItem Value="1">Ja</asp:ListItem>
                                </asp:DropDownList>
                            </div>
                            <br style="clear:both;" />

                            <div style="float:left; width:380px; height:20px; padding-top:1px;">
                                &nbsp;
                            </div>
                            <div class="label" style="float:left; height:18px; padding-top:3px; width: 152px;">
                                Tmning ikke udfrt:
                            </div>
                            <div style="float:left; width:79px; height:20px; padding-top:1px;">
                                <asp:TextBox ID="TextBox_Report1_DateBegin" runat="server" Width="70px" CssClass="textBox"></asp:TextBox>
                            </div>
                            <div style="float:left; width:20px; height:17px; padding-top:3px;">
                                <img src="Calendar.gif" alt="" onclick="ShowCalendar('TextBox_Report1_DateBegin')" />
                            </div>
                            <div class="label" style="float:left; height:18px; padding-top:3px; width:10px;">
                                -
                            </div>
                            <div style="float:left; width:79px; height:20px; padding-top:1px;">
                                <asp:TextBox ID="TextBox_Report1_DateEnd" runat="server" Width="70px" CssClass="textBox"></asp:TextBox>
                            </div>
                            <div style="float:left; width:20px; height:17px; padding-top:3px;">
                                <img src="Calendar.gif" alt="" onclick="ShowCalendar('TextBox_Report1_DateEnd')" />
                            </div>
                            <br style="clear:both;" />
                        
                        </div>
                        
                        <div style="float:left; padding-top:0px;">
                            <input id="Button_Report1_GetReport" type="button" style="width:63px; height:42px;" value="Hent" class="button" onclick="Button_Report1_GetReport_OnClick()" />
                        </div>
                        
                        <br style="clear:both;" />
                        
                    </div>

                </div>

                <div id="div_Criteria_report2" style="display:none;">

                    <!-- Kriterier report2 -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:168px; padding-left: 2px;">Kriterier - Tilstandsvurdering</div>
                    <div style="float:left; width:700px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:868px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px;">

                        <div style="float:left; width:795px;">

                            <div class="label" style="float:left; height:18px; padding-top:3px; width: 60px;">
                                Distrikt:
                            </div>
                            <div style="float:left; width:320px; height: 20px; padding-top: 1px;">
                                <asp:DropDownList ID="DropDownList_Report2_District" runat="server" Width="280px" CssClass="dropDownList"></asp:DropDownList>
                            </div>
                            <div class="label" style="float:left; height:18px; padding-top:3px; width: 118px;">
                                Problem med:
                            </div>
                            <div style="float:left; width:210px; height:20px; padding-top:1px;">
                                <asp:DropDownList ID="DropDownList_Report2_TankUnit" runat="server" Width="183px" CssClass="dropDownList"></asp:DropDownList>
                            </div>
                            <br style="clear:both;" />

                            <div class="label" style="float:left; height:18px; padding-top:3px; width: 60px;">
                                Udfrt af:
                            </div>
                            <div style="float:left; width:320px; height:20px; padding-top:1px;">
                                <asp:DropDownList ID="DropDownList_Report2_ExecutedBy" runat="server" Width="280px" CssClass="dropDownList"></asp:DropDownList>
                            </div>
                            <div class="label" style="float:left; height:18px; padding-top:3px; width: 118px;">
                                Tmning udfrt:
                            </div>
                            <div style="float:left; width:79px; height:20px; padding-top:1px;">
                                <asp:TextBox ID="TextBox_Report2_DateBegin" runat="server" Width="70px" CssClass="textBox"></asp:TextBox>
                            </div>
                            <div style="float:left; width:20px; height:17px; padding-top:3px;">
                                <img src="Calendar.gif" alt="" onclick="ShowCalendar('TextBox_Report2_DateBegin')" />
                            </div>
                            <div class="label" style="float:left; height:18px; padding-top:3px; width:10px;">
                                -
                            </div>
                            <div style="float:left; width:79px; height:20px; padding-top:1px;">
                                <asp:TextBox ID="TextBox_Report2_DateEnd" runat="server" Width="70px" CssClass="textBox"></asp:TextBox>
                            </div>
                            <div style="float:left; width:20px; height:17px; padding-top:3px;">
                                <img src="Calendar.gif" alt="" onclick="ShowCalendar('TextBox_Report2_DateEnd')" />
                            </div>
                            <br style="clear:both;" />
                        
                        </div>
                        
                        <div style="float:left; padding-top:0px;">
                            <input id="Button_Report2_GetReport" type="button" style="width:63px; height:42px;" value="Hent" class="button" onclick="Button_Report2_GetReport_OnClick()" />
                        </div>
                        
                        <br style="clear:both;" />
                        
                    </div>

                </div>

                <!-- Report -->
                <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                <div class="labelHead" style="float:left; width:50px; padding-left: 2px;">Resultat</div>
                <div style="float:left; width:818px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                <br style="clear:both;" />
                
                <div id="div_result" style="width:868px; min-height:400px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px;">
                </div>

                <div style="width:300px; color:olive; font-size: 8pt; padding-top: 4px; height: 17px;">
                    Udviklet af Geokon A/S
                </div>

            <!-- main Page end -->
            </div>

        <!-- hole Page end -->
        </div>
        
        <div id="div_connectedTo" runat="server" style="color:Silver; font-size:7pt; font-family:Arial; padding-top:2px;">
            Connected to: NOT CONNECTED
        </div>    
        
    </div>

    <!-- Calendar -->

    <div id="divCalendar" class="boxColor" style="width:155px; display:none; border-right: blue 1px solid; border-top: blue 1px solid; border-left: blue 1px solid; border-bottom: blue 1px solid; padding-right: 2px; padding-left: 2px; padding-bottom: 2px; padding-top: 2px; float: none; z-index: 1; position: absolute; left: 670px; top: 100px;" runat="server">

        <div style="float:left"><input id="ButtonCalPrevMonth" class="monthButtonStyle" type="button" value="<" onclick="return GetMonth(-1)" /></div>
        <div id="divCalMonth" style="float:left;width:113px;height:17px;text-align:center; margin-top: 3px;" runat="server">Current Month</div>
        <div style="float:left"><input id="ButtonCalNextMonth" class="monthButtonStyle" type="button" value=">" onclick="return GetMonth(1)" /></div>
        <br style="clear:both" />
        
        <div class="dayText">ma</div>
        <div class="dayText">ti</div>
        <div class="dayText">on</div>
        <div class="dayText">to</div>
        <div class="dayText">fr</div>
        <div class="dayText" style="color:gray;">l</div>
        <div class="dayText" style="color:gray;">s</div>
        <br style="clear:both" />
        
        <script language="javascript" type="text/javascript">
        var count = 0;
        
        for(var i = 1; i < 43; i++)
        {
            count++;
            
            if((count == 6) || (count == 7))
            {
                document.write('<div class="weekColor" style="float:left"><input id="ButtonCal' + i.toString() + '" class="dayButtomStyle" type="button" value="00" onclick="DatePressed(' + i.toString() + ');" onmouseover="MouseOverButton(this)" onmouseout="MouseOutButton(this)" /></div>');
            
                if(count == 7)
                {
                    document.write('<br style="clear:both" />');
                    count = 0;
                }
            }
            else
            {
                document.write('<div style="float:left"><input id="ButtonCal' + i.toString() + '" class="dayButtomStyle" type="button" value="00" onclick="DatePressed(' + i.toString() + ');" onmouseover="MouseOverButton(this)" onmouseout="MouseOutButton(this)" /></div>');
            }
        }

        </script>
       
    </div>
    
    <div id="div_wait" style="display:none; position:absolute; top:0px; left:0px; z-index: 1;">
        <img alt="" src="wait.gif" />
    </div>
        
    </form>
</body>
</html>
