function FontSizer(fName, sType, dSize, mnSize, mxSize, sElements, eElements){
	var sizeType = null;
	var sizeElements = null;
	var defaultSize = null;
	var maxSize = null;
	var minSize = null;
	var cookieValue = null;
	var excludeFrom = null;
	var fontSizes = new Array();
	var isNegative = false;
	
	fontSizes[fontSizes.length] = "xx-small";
	fontSizes[fontSizes.length] = "x-small";
	fontSizes[fontSizes.length] = "small";
	fontSizes[fontSizes.length] = "medium";
	fontSizes[fontSizes.length] = "larger";
	fontSizes[fontSizes.length] = "x-large";
	fontSizes[fontSizes.length] = "xx-large";
	
	function showElements(){
		var s = "";
		for(var i = 0; i < sizeElements.length; i++){
			s += sizeElements[i]+"\n";
		}
	}
	
	function CreateFontSizer(){
		sizeElements = sElements;
		defaultSize = dSize;
		maxSize = mxSize;
		minSize = mnSize;
		sizeType = sType;
		if(eElements != null){
			excludeFrom = eElements;
		}
	}
	
	function isInExcludePath(fClass){
		var isInPath = null;
		if(excludeFrom != null){
			for(var i = 0; i < excludeFrom.length; i++){
				isInPath = null;
				var strTmp = excludeFrom[i];
				isInPath = fClass.match(strTmp);
				if(isInPath != null){
					return true;
				}
			}
		}
		return false;
	}
	
	function getFontSize(fSize){
		var size = fSize.split('.');
		
	}
	
	function getNextSize(size, fNumber){
		if(isNegative){
			var n = fNumber;
			var f = n.toString();
			f = f.substring(1)
			n = parseInt(f);
			fNumber = n;			
		}
		for(var i = 0; i < fontSizes.length; i++){
			if(size == fontSizes[i]){
				var fN = 0;
				if(isNegative){
					fN = i - fNumber;
				}
				else{
					fN = i + fNumber;
				}
				var newStyle = "";
				if(fN < fontSizes.length){
					newStyle = fontSizes[fN];
				}
				else{
					newStyle = fontSizes[i];
				}
				return newStyle;
			}
		}
	}
	
	function StyleIsInList(fStyle){
		for(var i = 0; i < fontSizes.length; i++){
			if(fStyle == fontSizes[i]){
				return true;
			}
		}
		return false;
	}
	
	function getStyle(el, styleProp, fsize)
	{
		var x = document.getElementsByTagName(el);
		for(var j = 0; j < x.length; j++){
			var obj = x[j];
			if (obj.currentStyle)
				var y = obj.currentStyle[styleProp];
			else if (window.getComputedStyle)
				var y = document.defaultView.getComputedStyle(obj,null).getPropertyValue(styleProp);
			if(y != undefined){
				try{
					if(StyleIsInList(y)){
						var ffs = getNextSize(y, fsize);
						//alert("old: " +y +"\nnew: "+ ffs);
						obj.style.fontSize = ffs;
					}
				} catch(e){
				}
			}
		}
	}
	function IsNegativeRaiser(){
		var fNegative = null;
		try{
			fNegative = this.Read("fontSizerReiser");
			//alert("fNegative: "+ fNegative);
		} catch(e){
			
		}
		if(fNegative != null){
			if(fNegative == "negative"){
				return true;
			}
			else{
				return false;
			}
		}
		else{
			return false;
		}
	}
	
	function initFonts (){
		setTimeout(fName + ".doReload()", 800);
	}
	function doReloadInit(){
		var fReload = true;
		var coSize = null;
		coSize = this.Read("fontSizer");
		isNegative = this.GetNegative();
		//alert(coSize);
		var debug = "";
		if(coSize != null){
			coSize++;
			coSize--;
			for(var i = 0; i < sizeElements.length; i++){
				try{
					var z = "fontSize";
					var tmp = getStyle(sizeElements[i], z, coSize);
				}
				catch(e){ 
					debug += "\n"+sizeElements[i]+", " + z +", "+coSize+"\t"+tmp;
				}
			}
		}
		if(debug != ""){
			alert(debug);
		}
	}

	function increaseFontsSize(isReload){
		if(isReload){
			//alert("Do Reload");
		}
		var coSize = null;
		coSize = this.Read("fontSizer");
		isNegative = this.GetNegative();
		if(coSize == null){
			coSize = 1;
		}
		else{
			if(!isReload){
				coSize ++;
			}
		}
		if(coSize >= 3){
			if(!isReload){
				coSize = -3;
			}
		}
//		alert("coSize after: " + coSize);
		
		for(var i = 0; i < sizeElements.length; i++){
			try{
				var z = "fontSize";
				var tmp = getStyle(sizeElements[i], z, coSize);
			}
			catch(e){ }
		}
		if(coSize >= 0){
			createFontSizerCookie("fontSizerReiser", "positive", 365);
		}
		else{
			createFontSizerCookie("fontSizerReiser", "negative", 365);
		}
		createFontSizerCookie("fontSizer", coSize, 365);
		
		/*createFontSizerCookie("fontSizerReiser", "positive", 365);
		createFontSizerCookie("fontSizer", 0, 365);*/
	}

	function decreaseFontsSize(size){
		var fSize = 0;
		for(var i = 0; i < sizeElements.length; i++){
			try{

			}
			catch(e){
			}
		}
		createFontSizerCookie("fontSizer", fSize, 365);
	}
	function initFontSize (){
		//ResetFontSize();
		cookieValue = this.Read("fontSizer");
		//alert(cookieValue);
		resetFontSizerFromCookie();		
	}	
	
	function ResetFontSize(){
		for(var i = 0; i < sizeElements.length; i++){
			try{
				var sizeObjects = document.getElementsByTagName(sizeElements[i]);
				var tmp = null;
				try{
					tmp = sizeObjects[j].className;
				} catch(e){}
				
				for(var j = 0; j < sizeObjects.length; j++){
					if(tmp != null && tmp != ""){
						if(!isInExcludePath(tmp)){
							sizeObjects[j].style.fontSize = defaultSize + sizeType;
						}
					} else{
						sizeObjects[j].style.fontSize = defaultSize + sizeType;
					}									
				}
			}
			catch(e){}
		}
		try{
			//alert(defaultSize + sizeType);
			createFontSizerCookie("fontSizer", defaultSize + sizeType, 365);
			//alert(readFontSizerCookie("fontSizer"));
		} catch(e) {}
	}
	
	function resetFontSizerFromCookie(){		
		var curSizeTmp = null;
		var curSize = null;
		for(var i = 0; i < sizeElements.length; i++){
			try{				
				var sizeObjects = document.getElementsByTagName(sizeElements[i]);
				if(cookieValue != null){
					curSizeTmp = cookieValue;
					curSizeTmp = curSizeTmp.replace("px",  "");
					curSizeTmp = curSizeTmp.replace(";",  "");
					var tmp = null;
					try{
						tmp = sizeObjects[j].className;
					} catch(e){}					
					
					if((curSizeTmp == "") || (curSizeTmp == null)){	curSizeTmp = defaultSize;}
					
					try{ curSize = parseInt(curSizeTmp); } catch(e){}
					for(var j = 0; j < sizeObjects.length; j++){
						if((curSize != null) || (curSize != "")){
							//alert("sizeElements["+i+"]:"+sizeElements[i]);
							try{
								if(tmp != null && tmp != ""){
									if(!isInExcludePath(tmp)){
										sizeObjects[j].style.fontSize = curSize + sizeType;
									}
								} else{
									sizeObjects[j].style.fontSize = curSize + sizeType;
								}															
							} catch(e) {}
						}
					}
				}
			}
			catch(e){}
		}
		try{
			createFontSizerCookie("fontSizer", curSize + sizeType, 365);
		} catch(e){}
	}
	
	function createFontSizerCookie(name,value,days) {
	  if (days) {
	    var date = new Date();
	    date.setTime(date.getTime()+(days*24*60*60*1000));
	    var expires = "; expires="+date.toGMTString();
	  }
	  else expires = "";
	  document.cookie = name+"="+escape(value)+expires+"; path=/;";
	}
	
	function readFontSizerCookie(name) {
	  var nameEQ = name + "=";
	  var ca = document.cookie.split(';');
	  for(var i=0;i < ca.length;i++) {
	    var c = ca[i];
	    while (c.charAt(0)==' ') c = c.substring(1,c.length);
	    if (c.indexOf(nameEQ) == 0) return unescape(c.substring(nameEQ.length,c.length));
	  }
	  return null;
	}	
		
	this.ShowElements = showElements;
	this.Increase = increaseFontsSize;
	this.Decrease = decreaseFontsSize;
	this.Init = initFonts;
	this.Reset = ResetFontSize;
	this.Create = CreateFontSizer;
	this.Read = readFontSizerCookie;
	this.SaveState = createFontSizerCookie;
	this.ResetFromCookie = resetFontSizerFromCookie;
	this.GetNegative = IsNegativeRaiser;
	this.doReload = doReloadInit;
};