<%@ page language="C#" autoeventwireup="true" inherits="Contact, App_Web_kj893aaw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>GeoEnviron WEB - Tmning af spildevandstanke</title>
    <link rel="SHORTCUT ICON" href="GEIcon.ico" />
    <link rel="stylesheet" type="text/css" href="StyleSheet.css" />

    <script language="javascript" type="text/javascript" src="JScript/JScriptMain_v116.js"></script>
    <script language="javascript" type="text/javascript" src="JScript/JScriptWait_v116.js"></script>
    <script language="javascript" type="text/javascript" src="JScript/JScriptCallBack_v116.js"></script>

    <script language="javascript" type="text/javascript">

    //Callback
    
    var callbackSend = 0;

    function GetCallBackTest()
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetCallBackTest:";
            var context = new Object();
            context.CommandName = "GetCallBackTest";
            <%=_callbackstr %>
        }    
    }

    function SetCallBackTest(result)
    {
        alert(result);
    }

    function GetSaveContractorInfo(arguments)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetSaveContractorInfo:" + arguments;
            var context = new Object();
            context.CommandName = "GetSaveContractorInfo";
            <%=_callbackstr %>
        }    
    }

    function SetSaveContractorInfo(result)
    {
        var split = result.split('\t');
        
        if((split[0].substr(0,5) != 'ERROR') && (document.getElementById('div_ContractorAll').style.display == 'block'))
        {
            var obj = document.getElementById('DropDownList_Contractor');
            obj.options[obj.selectedIndex].text = split[1];
        }
        
        document.getElementById('TextBox_ContractorPassword').value = '';
        document.getElementById('TextBox_ContractorPasswordRepeat').value = '';
    
        alert(split[0]);
    }

    function GetContractors(address_seq_no)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetContractors:" + address_seq_no;
            var context = new Object();
            context.CommandName = "GetContractors";
            <%=_callbackstr %>
        }    
    }

    function SetContractors(result)
    {
        var split = result.split('\t');
        
        var obj = document.getElementById('DropDownList_Contractor');
        obj.options.length = 0;        
        
        for(var i = 0; i < split[0]; i++)
        {
            AddDropDownListItem(obj, split[i * 2 + 1], split[i * 2 + 2]);
        }
        
        if(split[0] > 0)
        {
            var j = split[0] * 2 + 1;
            var resultContractorInfo = split[j];
            
            for(var i = j + 1; i < split.length; i++)
            {
                resultContractorInfo += '\t' + split[i];
            }
        
            SetContractorInfo(resultContractorInfo);
        }
    }

    function GetContractorInfo(op_id)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetContractorInfo:" + op_id;
            var context = new Object();
            context.CommandName = "GetContractorInfo";
            <%=_callbackstr %>
        }    
    }

    function SetContractorInfo(result)
    {
        var split = result.split('\t');
        
        document.getElementById('TextBox_ContractorFirm').value = split[0];
        document.getElementById('TextBox_ContractorAddress').value = split[1];
        document.getElementById('TextBox_ContractorZip').value = split[2];
        document.getElementById('TextBox_ContractorTown').value = split[3];
        document.getElementById('TextBox_ContractorName').value = split[4];
        document.getElementById('TextBox_ContractorPhone').value = split[5];
        document.getElementById('TextBox_ContractorEmail').value = split[6];
        document.getElementById('TextBox_ContractorUsername').value = split[7];
    }
    
    function GetTown(zip)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetTown:" + zip;
            var context = new Object();
            context.CommandName = "GetTown";
            <%=_callbackstr %>
        }    
    }
    
    function SetTown(result)
    {
        document.getElementById('TextBox_DistributionTown').value = result;
    }

    function GetSaveDistribution(arguments)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetSaveDistribution:" + arguments;
            var context = new Object();
            context.CommandName = "GetSaveDistribution";
            <%=_callbackstr %>
        }    
    }
    
    function SetSaveDistribution(result)
    {
        alert(result);
    }
        
    function CallBackHandler(result, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
    
        switch(context.CommandName)
        {
            case "GetCallBackTest": SetCallBackTest(result); break;
            case "GetSaveContractorInfo": SetSaveContractorInfo(result); break;
            case "GetContractors": SetContractors(result); break;
            case "GetContractorInfo": SetContractorInfo(result); break;
            case "GetTown": SetTown(result); break;
            case "GetSaveDistribution": SetSaveDistribution(result); break;
        }
    }

    function OnError(message, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
        alert("Exception :\n" + message);
    }


    //Other functions

    function Button_SaveDistribution_OnClick()
    {
        var name    = document.getElementById('TextBox_DistributionFirm').value;
        var address = document.getElementById('TextBox_DistributionAddress').value;
        var zip     = document.getElementById('TextBox_DistributionZip').value;
        var phone   = document.getElementById('TextBox_DistributionPhone').value;
        var email   = document.getElementById('TextBox_DistributionEmail').value;
    
        var arguments = name + '\t' + address + '\t' + zip + '\t' + phone + '\t' + email;
    
        GetSaveDistribution(arguments);
    }

    function Button_SaveContractor_OnClick()
    {
        var ref_name    = document.getElementById('TextBox_ContractorName').value;
        var ref_phone   = document.getElementById('TextBox_ContractorPhone').value;
        var ref_email   = document.getElementById('TextBox_ContractorEmail').value;
        var password    = document.getElementById('TextBox_ContractorPassword').value;
        var passwordRepeat = document.getElementById('TextBox_ContractorPasswordRepeat').value;
        
        if((password.length > 0) || (passwordRepeat.length > 0))
        {
            if(password.length < 3)
            {
                alert('Adgangskode skal vre p mindst 3 tegn!');
                return;
            }
            
            if(password != passwordRepeat)
            {
                alert('Ny adgangskode og Gen.adgangsk. skal vre ens!');
                return;
            }
        }
        
        var arguments = ref_name + '\t' + ref_phone + '\t' + ref_email + '\t' + password;
        
        GetSaveContractorInfo(arguments);
    }
    
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div id="div_main" style="left: 10px; position: absolute; top: 10px; width: 910px;">

        <div id="div_image" runat="server" style="width:902px; height:96px; font-family:Verdana; font-size:8pt; background-image:url(Septic_sv.jpg);">
            
            <a id="div_progVers" runat="server" href="Version.txt" target="_blank" style="float:right; margin-top: 72px; font-size: 8pt; color: white; font-family: Verdana; text-align: right; margin-right: 4px; text-decoration:none;">Ver. x.x.x</a>
            
        </div>

        <div style="width:910px;">
        <!-- hole Page start -->

            <div class="backgroundColor" style="width:890px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid; padding-right: 0px; padding-left: 10px; padding-bottom: 6px; padding-top: 4px;">
            <!-- main Page start -->

                <div id="div_Council" runat="server" style="display:block;">

                    <!-- Kontaktinformation kommune -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:196px; padding-left: 2px;">Kommunens kontaktinformationer</div>
                    <div style="float:left; width:672px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:868px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 9px; padding-top: 4px; margin-bottom: 4px;">

                        <div class="labelReadOnly" style="float:left; width:56px; padding-top:3px; height:18px;">
                            Navn:
                        </div>
                        <div id="div_councilName" runat="server" class="textReadOnly" style="float:left; width:220px; padding-top:3px; height:18px;">
                            [navn]
                        </div>
                        <div class="labelReadOnly" style="float:left; width:44px; padding-top:3px; height: 18px;">
                            Tlf:
                        </div>
                        <div id="div_councilPhone" runat="server" class="textReadOnly" style="float:left; width:200px; padding-top:3px; height:18px;">
                            [tlf]
                        </div>
                        <br style="clear:both;" />

                        <div class="labelReadOnly" style="float:left; width:56px; padding-top:3px; height:18px;">
                            Afdeling:
                        </div>
                        <div id="div_councilDepartment" runat="server" class="textReadOnly" style="float:left; width:220px; padding-top:3px; height:18px;">
                            [afdeling]
                        </div>
                        <div class="labelReadOnly" style="float:left; width:44px; padding-top:3px; height: 18px;">
                            E-mail:
                        </div>
                        <div id="div_councilEmail" runat="server" class="textReadOnly" style="float:left; width:200px; padding-top:3px; height:18px;">
                            [email]
                        </div>
                        <br style="clear:both;" />

                        <div class="labelReadOnly" style="float:left; width:56px; padding-top:3px; height:18px;">
                            Adresse:
                        </div>
                        <div id="div_councilAddressZipTown" runat="server" class="textReadOnly" style="float:left; width:464px; padding-top:3px; height:18px;">
                            [adresse]
                        </div>
                        <br style="clear:both;" />
                    
                    </div>

                </div>

                <div id="div_Distribution" runat="server" style="display:block;">

                    <!-- Kontaktinformation forsyningsselskab -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:254px; padding-left: 2px;">Forsyningsselskabets kontaktinformationer</div>
                    <div style="float:left; width:614px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:868px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 9px; padding-top: 4px; margin-bottom: 4px;">

                        <div style="float:left">
                        
                            <div id="Label_DistributionName" runat="server" class="labelReadOnly" style="float:left; width:56px; padding-top:4px; height: 17px;">
                                Firma:
                            </div>
                            <div style="float:left; width:220px; padding-top:1px; height: 20px;">
                                <asp:TextBox ID="TextBox_DistributionFirm" runat="server" Width="200px" CssClass="textBoxReadOnly" AutoCompleteType="Disabled" MaxLength="50" ReadOnly="True"></asp:TextBox>
                            </div>
                            <br style="clear:both;" />
                            
                            <div id="Label_DistributionAddress" runat="server" class="labelReadOnly" style="float:left; width:56px; padding-top:4px; height: 17px;">
                                Adresse:
                            </div>
                            <div style="float:left; width:220px; padding-top:1px; height: 20px;">
                                <asp:TextBox ID="TextBox_DistributionAddress" runat="server" Width="200px" CssClass="textBoxReadOnly" AutoCompleteType="Disabled" MaxLength="50" ReadOnly="True"></asp:TextBox>
                            </div>
                            <br style="clear:both;" />
                            
                            <div id="Label_DistributionZip" runat="server" class="labelReadOnly" style="float:left; width:56px; padding-top:4px; height: 17px;">
                                Postnr:
                            </div>
                            <div style="float:left; width:44px; padding-top:1px; height: 20px;">
                                <asp:TextBox ID="TextBox_DistributionZip" runat="server" Width="30px" CssClass="textBoxReadOnly" AutoCompleteType="Disabled" MaxLength="4" ReadOnly="True" onchange="GetTown(this.value)"></asp:TextBox>
                            </div>
                            <div id="Label_DistributionTown" runat="server" class="labelReadOnly" style="float:left; width:24px; padding-top:4px; height: 17px;">
                                By:
                            </div>
                            <div style="float:left; width:152px; padding-top:1px; height: 20px;">
                                <asp:TextBox ID="TextBox_DistributionTown" runat="server" Width="132px" CssClass="textBoxReadOnly" AutoCompleteType="Disabled" MaxLength="50" ReadOnly="True"></asp:TextBox>
                            </div>
                            <br style="clear:both;" />
                        
                        </div>
                        <div style="float:left;">
                        
                            <div id="Label_DistributionPhone" runat="server" class="labelReadOnly" style="float:left; width:44px; padding-top:4px; height: 17px;">
                                Tlf:
                            </div>
                            <div style="float:left; width:200px; padding-top:1px; height: 20px;">
                                <asp:TextBox ID="TextBox_DistributionPhone" runat="server" Width="180px" CssClass="textBoxReadOnly" AutoCompleteType="Disabled" MaxLength="50" ReadOnly="True"></asp:TextBox>
                            </div>
                            <br style="clear:both;" />
                        
                            <div id="Label_DistributionEmail" runat="server" class="labelReadOnly" style="float:left; width:44px; padding-top:4px; height: 17px;">
                                E-mail:
                            </div>
                            <div style="float:left; width:200px; padding-top:1px; height: 20px;">
                                <asp:TextBox ID="TextBox_DistributionEmail" runat="server" Width="180px" CssClass="textBoxReadOnly" AutoCompleteType="Disabled" MaxLength="50" ReadOnly="True"></asp:TextBox>
                            </div>
                            <br style="clear:both;" />
                        
                        </div>
                        <div style="float:left; width:275px;">
                            &nbsp;
                        </div>
                        <div id="div_DistributionSaveButton" runat="server" style="float:left; padding-top:1px; display:none;">
                            <input id="Button_SaveDistribution" runat="server" type="button" style="width:63px; height:63px;" value="Gem" class="button" onclick="Button_SaveDistribution_OnClick()" />
                        </div>
                        <br style="clear:both;" />
                    
                    </div>

                </div>

                <div id="div_Contractor" runat="server" style="display:none;">

                    <!-- Kontaktinformation entreprenr -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:200px; padding-left: 2px;">Entreprenrs kontaktinformationer</div>
                    <div style="float:left; width:668px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:868px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 9px; padding-top: 4px; margin-bottom: 4px;">

                        <div id="div_ContractorAll" runat="server" style="display:none;">
                                                
                            <div class="label" style="float:left; width:56px; padding-top:4px; height: 17px;">
                                Firma:
                            </div>
                            <div style="float:left; width:220px; height: 19px; padding-top: 2px;">
                                <asp:DropDownList ID="DropDownList_Firm" runat="server" Width="204px" CssClass="dropDownList" onchange="GetContractors(this.value)"></asp:DropDownList>
                            </div>
                            <div class="label" style="float:left; width:44px; padding-top:4px; height: 17px;">
                                Entre.:
                            </div>
                            <div style="float:left; width:200px; height: 19px; padding-top: 2px;">
                                <asp:DropDownList ID="DropDownList_Contractor" runat="server" Width="176px" CssClass="dropDownList" onchange="GetContractorInfo(this.value)"></asp:DropDownList>
                            </div>
                            <br style="clear:both;" />
                            
                            <div style=" padding-top:3px; padding-right:10px;">
                                <hr />
                            </div>
                        
                        </div>

                        <div style="float:left">
                        
                            <div class="labelReadOnly" style="float:left; width:56px; padding-top:4px; height: 17px;">
                                Firma:
                            </div>
                            <div style="float:left; width:220px; padding-top:1px; height: 20px;">
                                <asp:TextBox ID="TextBox_ContractorFirm" runat="server" Width="200px" CssClass="textBoxReadOnly" AutoCompleteType="Disabled" ReadOnly="true">Entrepren&#248;r 1</asp:TextBox>
                            </div>
                            <br style="clear:both;" />
                            
                            <div class="labelReadOnly" style="float:left; width:56px; padding-top:4px; height: 17px;">
                                Adresse:
                            </div>
                            <div style="float:left; width:220px; padding-top:1px; height: 20px;">
                                <asp:TextBox ID="TextBox_ContractorAddress" runat="server" Width="200px" CssClass="textBoxReadOnly" AutoCompleteType="Disabled" ReadOnly="true">Entrepren&#248;rvej 1</asp:TextBox>
                            </div>
                            <br style="clear:both;" />
                            
                            <div class="labelReadOnly" style="float:left; width:56px; padding-top:4px; height: 17px;">
                                Postnr:
                            </div>
                            <div style="float:left; width:44px; padding-top:1px; height: 20px;">
                                <asp:TextBox ID="TextBox_ContractorZip" runat="server" Width="30px" CssClass="textBoxReadOnly" AutoCompleteType="Disabled" ReadOnly="true">9999</asp:TextBox>
                            </div>
                            <div class="labelReadOnly" style="float:left; width:24px; padding-top:4px; height: 17px;">
                                By:
                            </div>
                            <div style="float:left; width:152px; padding-top:1px; height: 20px;">
                                <asp:TextBox ID="TextBox_ContractorTown" runat="server" Width="132px" CssClass="textBoxReadOnly" AutoCompleteType="Disabled" ReadOnly="true">Entrepren&#248;rby</asp:TextBox>
                            </div>
                            <br style="clear:both;" />
                        
                        </div>
                        
                        <div style="float:left;">

                            <div class="label" style="float:left; width:44px; padding-top:4px; height: 17px;">
                                Navn:
                            </div>
                            <div style="float:left; width:192px; padding-top:1px; height: 20px;">
                                <asp:TextBox ID="TextBox_ContractorName" runat="server" Width="172px" CssClass="textBox" AutoCompleteType="Disabled" MaxLength="50">navn</asp:TextBox>
                            </div>
                            <br style="clear:both;" />
                        
                            <div class="label" style="float:left; width:44px; padding-top:4px; height: 17px;">
                                Tlf:
                            </div>
                            <div style="float:left; width:192px; padding-top:1px; height: 20px;">
                                <asp:TextBox ID="TextBox_ContractorPhone" runat="server" Width="172px" CssClass="textBox" AutoCompleteType="Disabled" MaxLength="50">11 11 11 11</asp:TextBox>
                            </div>
                            <br style="clear:both;" />
                        
                            <div class="label" style="float:left; width:44px; padding-top:4px; height: 17px;">
                                E-mail:
                            </div>
                            <div style="float:left; width:192px; padding-top:1px; height: 20px;">
                                <asp:TextBox ID="TextBox_ContractorEmail" runat="server" Width="172px" CssClass="textBox" AutoCompleteType="Disabled" MaxLength="50">Entrep1@Entrep1.dk</asp:TextBox>
                            </div>
                            <br style="clear:both;" />
                        
                        </div>

                        <div style="float:left;">

                            <div class="labelReadOnly" style="float:left; width:102px; padding-top:4px; height: 17px;">
                                Brugernavn:
                            </div>
                            <div style="float:left; width:182px; padding-top:1px; height: 20px;">
                                <asp:TextBox ID="TextBox_ContractorUsername" runat="server" Width="160px" CssClass="textBoxReadOnly" AutoCompleteType="Disabled" MaxLength="6" ReadOnly="True"></asp:TextBox>
                            </div>
                            <br style="clear:both;" />
                        
                            <div class="label" style="float:left; width:102px; padding-top:4px; height: 17px;">
                                Ny adgangskode:
                            </div>
                            <div style="float:left; width:182px; padding-top:1px; height: 20px;">
                                <asp:TextBox ID="TextBox_ContractorPassword" runat="server" Width="160px" CssClass="textBox" AutoCompleteType="Disabled" MaxLength="10" TextMode="Password"></asp:TextBox>
                            </div>
                            <br style="clear:both;" />
                        
                            <div class="label" style="float:left; width:102px; padding-top:4px; height: 17px;">
                                Gen.adgangsk.:
                            </div>
                            <div style="float:left; width:182px; padding-top:1px; height: 20px;">
                                <asp:TextBox ID="TextBox_ContractorPasswordRepeat" runat="server" Width="160px" CssClass="textBox" AutoCompleteType="Disabled" MaxLength="10" TextMode="Password"></asp:TextBox>
                            </div>
                            <br style="clear:both;" />
                        
                        </div>

                        <div style="float:left; padding-top:1px;">
                            <input id="Button_SaveContractor" runat="server" type="button" style="width:63px; height:63px;" value="Gem" class="button" onclick="Button_SaveContractor_OnClick()" />
                        </div>
                        <br style="clear:both;" />
                    
                    </div>

                </div>

                <div style="width:300px; color:olive; font-size: 8pt; padding-top: 4px; height: 17px;">
                    Udviklet af Geokon A/S
                </div>

            <!-- main Page end -->
            </div>

        <!-- hole Page end -->
        </div>
        
        <div id="div_connectedTo" runat="server" style="color:Silver; font-size:7pt; font-family:Arial; padding-top:2px;">
            Connected to: NOT CONNECTED
        </div>    
        
    </div>
    
    <div id="div_wait" style="display:none; position:absolute; top:0px; left:0px; z-index: 1;">
        <img alt="" src="wait.gif" />
    </div>
        
    </form>
</body>
</html>
