<%@ page language="C#" autoeventwireup="true" inherits="NewFlushing, App_Web_kj893aaw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Ny tmning</title>
    <link rel="stylesheet" type="text/css" href="styleSheet.css" />
    <link rel="stylesheet" type="text/css" href="styleSheetCalendar.css" />

    <script language="javascript" type="text/javascript" src="JScript/JScriptMain_v116.js"></script>
    <script language="javascript" type="text/javascript" src="JScript/JScriptCalendar_v116.js"></script>

    <script language="javascript" type="text/javascript">

    function OnLoad()
    {
        if(document.getElementById('div_main').style.display == 'block')
        {
            DisableConditionElements(true);
            
            if(document.getElementById('DropDownList_FlushCollectType').value == '0')
            {
                DisableInvainElements(true);
                document.getElementById('TextBox_FlushComments').focus();
            }
            else
            {
                DisableInvainElements(false);
                document.getElementById('TextBox_FlushFloatingSludge').focus();
            }
        }
    }

    function CheckFlushData()
    {
        HideCalendar();
    
        var last_collect        = document.getElementById('TextBox_FlushDate').value;
        var last_collect_time   = document.getElementById('TextBox_FlushTime').value;
        var cartype             = document.getElementById('DropDownList_FlushCarType').value;
        var collect_type        = document.getElementById('DropDownList_FlushCollectType').value;
        var floating_sludge     = document.getElementById('TextBox_FlushFloatingSludge').value;
        var bottom_sludge       = document.getElementById('TextBox_FlushBottomSludge').value;
        var volume_collected    = document.getElementById('TextBox_FlushVolume').value;
        var volume_FilledUp     = document.getElementById('TextBox_FlushVolumeFilledUp').value;
        var fill_degree         = document.getElementById('DropDownList_FlushFillDegree').value;
        var dump_id             = document.getElementById('DropDownList_FlushDumpId').value;
        var comments            = document.getElementById('TextBox_FlushComments').value;
        var date_order          = document.getElementById('TextBox_FlushOrderDate').value;

        var isSamletank = false;
        if(document.getElementById('HiddenField_IsSamletank').value == 'true') { isSamletank = true; }

        var minMandatoryFieldsEnabled = false;
        if(document.getElementById('HiddenField_MinMandatoryFieldsEnabled').value == 'true') { minMandatoryFieldsEnabled = true; }

        if(!DateOK(last_collect))
        {
            return false;
        }
        
        if(cartype == '')
        {
            alert('Biltype ikke valgt!');
            return false;
        }

        if(collect_type == '0') //Forgves krsel
        {
            if(comments.length == 0)
            {
                alert('Nr tmningstypen er forgves krsel s skal der skrives en bemrkning!');
                return false;
            }
            
            if(comments.length > 255)
            {
                alert('Bemrkningen m ikke vre p mere end 255 tegn!');
                return false;
            }
            
            return true;
        }

        if(collect_type == '')
        {
            alert('Tmningstype ikke valgt!');
            return false;
        }
        
        if(!IsInteger(floating_sludge))
        {
            if((isSamletank) && (floating_sludge.length == 0))
            {
                // continue
            }
            else if((minMandatoryFieldsEnabled) && (floating_sludge.length == 0))
            {
                // continue
            }
            else
            {
                alert('Flydeslam skal vre et heltal.');
                return false;
            }
        }
        
        if(!IsInteger(bottom_sludge))
        {
            if((isSamletank) && (bottom_sludge.length == 0))
            {
                // continue
            }
            else if((minMandatoryFieldsEnabled) && (bottom_sludge.length == 0))
            {
                // continue
            }
            else
            {
                alert('Bundslam skal vre et heltal.');
                return false;
            }    
        }

        if(!IsDouble(volume_collected))
        {
            if((minMandatoryFieldsEnabled) && (volume_collected.length == 0))
            {
                // continue
            }
            else
            {
                alert('Tmt volumen skal vre et tal med , (komma) som decimaltegn\nFx. 10,2');
                return false;
            }
        }

        if((volume_FilledUp.length > 0) && (!IsDouble(volume_FilledUp)))
        {
            alert('Efterfyldt volumen skal vre et tal med , (komma) som decimaltegn\nFx. 10,2');
            return false;
        }

        if(comments.length > 255)
        {
            alert('Bemrkningen m ikke vre p mere end 255 tegn!');
            return false;
        }

        if(date_order.length > 0)
        {
            if(!DateOK(date_order))
            {
                return false;
            }
        }
        
        return true; //PostBack
    }
    
    function CheckBox_Condition_OnClick(obj)
    {
        DisableConditionElements(!obj.checked)
    }
    
    function DisableConditionElements(disabled)
    {
        var classNameLabel          = 'label';
        var classNameDropDownList   = 'dropDownList';
        var classNameTextBox        = 'textBox';
        
        if(disabled)
        {
            classNameLabel          = 'labelReadOnly';
            classNameDropDownList   = 'dropDownListReadOnly';
            classNameTextBox        = 'textBoxReadOnly';
        }

        var unitArray = [ 'AccessRoad', 'Inlet', 'Clog', 'TTube', 'Chambre', 'Cover', 'ImpededAccess', 'Bottom' ];
        
        for(var i = 0; i < unitArray.length; i++)
        {
            document.getElementById('Label_Condition' + unitArray[i]).className = classNameLabel;
            document.getElementById('DropDownList_Condition' + unitArray[i]).className = classNameDropDownList;
            document.getElementById('DropDownList_Condition' + unitArray[i]).disabled = disabled;
            document.getElementById('TextBox_Condition' + unitArray[i] + 'Comments').className = classNameTextBox;
            document.getElementById('TextBox_Condition' + unitArray[i] + 'Comments').readOnly = disabled;
        }
    }
    
    function DisableInvainElements(disabled)
    {
        var classNameLabel          = 'label';
        var classNameDropDownList   = 'dropDownList';
        var classNameTextBox        = 'textBox';
        var starDisplay             = 'block';
        
        if(disabled)
        {
            classNameLabel          = 'labelReadOnly';
            classNameDropDownList   = 'dropDownListReadOnly';
            classNameTextBox        = 'textBoxReadOnly';
            starDisplay             = 'none';
        }
        
        var unitArray = [ 'FloatingSludge', 'BottomSludge', 'Volume', 'VolumeFilledUp', 'FillDegree', 'DumpId', 'Comments' ];
        
        for(var i = 0; i < 4; i++)
        {
            document.getElementById('Label_Flush' + unitArray[i]).className = classNameLabel;
            document.getElementById('TextBox_Flush' + unitArray[i]).className = classNameTextBox;
            document.getElementById('TextBox_Flush' + unitArray[i]).readOnly = disabled;
            document.getElementById('Unit_Flush' + unitArray[i]).className = classNameLabel;
            
            if(disabled) { document.getElementById('TextBox_Flush' + unitArray[i]).value = ''; }
        }
        
        for(var i = 4; i < 6; i++)
        {
            document.getElementById('Label_Flush' + unitArray[i]).className = classNameLabel;
            document.getElementById('DropDownList_Flush' + unitArray[i]).className = classNameDropDownList;
            document.getElementById('DropDownList_Flush' + unitArray[i]).disabled = disabled;
            
            if(disabled) { document.getElementById('DropDownList_Flush' + unitArray[i]).selectedIndex = 0; }
        }
        
        for(var i = 0; i < 3; i++)
        {
            document.getElementById('star_Flush' + unitArray[i]).style.display = starDisplay;
        }
        
        if((!disabled) && (document.getElementById('HiddenField_IsSamletank').value == 'true'))
        {
            document.getElementById('star_Flush' + unitArray[0]).style.display = 'none';
            document.getElementById('star_Flush' + unitArray[1]).style.display = 'none';
        }

        if((!disabled) && (document.getElementById('HiddenField_MinMandatoryFieldsEnabled').value == 'true'))
        {
            document.getElementById('star_Flush' + unitArray[0]).style.display = 'none';
            document.getElementById('star_Flush' + unitArray[1]).style.display = 'none';
            document.getElementById('star_Flush' + unitArray[2]).style.display = 'none';
        }
        
        if(disabled)
        {
            document.getElementById('star_Flush' + unitArray[6]).style.display = 'block';
        }
        else
        {
            document.getElementById('star_Flush' + unitArray[6]).style.display = 'none';
        }
    }
    
    function DropDownList_FlushCollectType_OnChange(obj)
    {
        if(obj.selectedIndex == 4) //Forgves krsel.
        {
            DisableInvainElements(true);
            document.getElementById('TextBox_FlushComments').focus();
        }
        else
        {
            DisableInvainElements(false);
            document.getElementById('TextBox_FlushFloatingSludge').focus();
        }
    }
    
    </script>

</head>
<body class="iFrameBody" onload="OnLoad()">
    <form id="form1" runat="server">

    <div id="div_tankFlushed" runat="server" style="padding-top:20px; position:absolute; top:0px; left:0px; width:860px; display:none; text-align:center; font-weight:bold; font-size:11pt;">
        Tmningen er blevet registreret!
    </div>

    <div id="div_main" runat="server" style="position:absolute; top:0px; left:0px; display:block;">

        <div style="float:left; width:450px;">

            <!-- Tmning -->
            <div style="float:left; width:8px; margin-top:11px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
            <div class="labelHead" style="float:left; width:52px; padding-left: 2px; margin-top:5px;">Tmning</div>
            <div style="float:left; width:376px; border-right: black 1px solid; border-top: black 1px solid; margin-top:11px; height: 6px;"></div>
            <br style="clear:both;" />
            
            <div style="width:428px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-top: 4px; margin-bottom: 4px; height: 197px;">

                <div style="float:left; width:76px; padding-top:3px; height:18px" class="label">

                    <div style="float:left;">Dato</div>
                    <div style="float:left; color:Red;">*</div>
                    <div style="float:left;">/Tid:</div>
                    <br style="clear:both;" />

                </div>
                <div style="float:left; width:72px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_FlushDate" runat="server" CssClass="textBox" Width="66px" MaxLength="10" TabIndex="100"></asp:TextBox>
                </div>
                <div style="float:left; width:39px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_FlushTime" runat="server" CssClass="textBox" Width="33px" MaxLength="5" TabIndex="101"></asp:TextBox>
                </div>
                <div style="float:left; width:35px; height:17px; padding-top:3px;">
                    <img src="Calendar.gif" alt="" onclick="ShowCalendar('TextBox_FlushDate'); document.getElementById('TextBox_FlushTime').value = ''" />
                </div>                
                <div style="float:left; width:96px; padding-top:3px; height:18px" class="label">

                    <div style="float:left;">Biltype:</div>
                    <div style="float:left; color:Red;">*</div>
                    <br style="clear:both;" />

                </div>
                <div style="float:left; width:102px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_FlushCarType" runat="server" CssClass="dropDownList" Width="74px" TabIndex="101"></asp:DropDownList>
                </div>
                <br style="clear:both;" />

                <div style="float:left; width:76px; padding-top:3px; height:18px" class="label">

                    <div style="float:left;">Tmn.type:</div>
                    <div style="float:left; color:Red;">*</div>
                    <br style="clear:both;" />
                    
                </div>
                <div style="float:left; width:146px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_FlushCollectType" runat="server" CssClass="dropDownList" Width="109px" TabIndex="102" onchange="DropDownList_FlushCollectType_OnChange(this)"></asp:DropDownList>
                </div>
                <div id="Label_FlushVolume" style="float:left; width:96px; padding-top:3px; height:18px" class="label">

                    <div style="float:left;">Tmt volumen:</div>
                    <div id="star_FlushVolume" style="float:left; color:Red; display:block;">*</div>
                    <br style="clear:both;" />
                    
                </div>
                <div style="float:left; width:78px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_FlushVolume" runat="server" CssClass="textBox" Width="70px" MaxLength="10" TabIndex="105"></asp:TextBox>
                </div>
                <div id="Unit_FlushVolume" style="float:left; width:24px; padding-top:3px; height:18px" class="label">
                    liter
                </div>
                <br style="clear:both;" />
                        
                <div id="Label_FlushFloatingSludge" style="float:left; width:76px; padding-top:3px; height:18px" class="label">

                    <div style="float:left;">Flydeslam:</div>
                    <div id="star_FlushFloatingSludge" style="float:left; color:Red; display:block;">*</div>
                    <br style="clear:both;" />

                </div>
                <div style="float:left; width:112px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_FlushFloatingSludge" runat="server" CssClass="textBox" Width="105px" MaxLength="10" TabIndex="103"></asp:TextBox>
                </div>
                <div id="Unit_FlushFloatingSludge" style="float:left; width:34px; padding-top:3px; height:18px" class="label">
                    cm
                </div>
                <div id="Label_FlushVolumeFilledUp" style="float:left; width:96px; padding-top:3px; height:18px" class="label">
                    Efterfyldt vol.:
                </div>
                <div style="float:left; width:78px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_FlushVolumeFilledUp" runat="server" CssClass="textBox" Width="70px" MaxLength="10" TabIndex="106"></asp:TextBox>
                </div>
                <div id="Unit_FlushVolumeFilledUp" style="float:left; width:24px; padding-top:3px; height:18px" class="label">
                    liter
                </div>
                <br style="clear:both;" />

                <div id="Label_FlushBottomSludge" style="float:left; width:76px; padding-top:3px; height:18px" class="label">

                    <div style="float:left;">Bundslam:</div>
                    <div id="star_FlushBottomSludge" style="float:left; color:Red; display:block;">*</div>
                    <br style="clear:both;" />
                    
                </div>
                <div style="float:left; width:112px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_FlushBottomSludge" runat="server" CssClass="textBox" Width="105px" MaxLength="10" TabIndex="104"></asp:TextBox>
                </div>
                <div id="Unit_FlushBottomSludge" style="float:left; width:34px; padding-top:3px; height:18px" class="label">
                    cm
                </div>
                <div id="Label_FlushFillDegree" style="float:left; width:96px; padding-top:3px; height:18px" class="label">
                    Fyldningsgrad:
                </div>
                <div style="float:left; width:102px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_FlushFillDegree" runat="server" CssClass="dropDownList" Width="74px" TabIndex="107"></asp:DropDownList>
                </div>
                <br style="clear:both;" />

                <div id="Label_FlushDumpId" style="float:left; width:100px; padding-top:13px; height:17px;" class="label">
                    Aflsningssted:
                </div>
                <div style="float:left; width:320px; height:19px; padding-top:11px;">
                    <asp:DropDownList ID="DropDownList_FlushDumpId" runat="server" CssClass="dropDownList" Width="292px" TabIndex="108"></asp:DropDownList>
                </div>
                <br style="clear:both" />

                <div style="float:left; width:100px; padding-top:2px; height:18px;" class="label">

                    <div style="float:left;">Bemrkning:</div>
                    <div id="star_FlushComments" style="float:left; color:Red; display:none;">*</div>
                    <br style="clear:both;" />
                    
                </div>
                <div style="float:left; width:320px; padding-top:0px;">
                    <asp:TextBox ID="TextBox_FlushComments" runat="server" Width="288px" CssClass="textBox" AutoCompleteType="Disabled" MaxLength="255" Height="47px" TextMode="MultiLine" TabIndex="109"></asp:TextBox>
                </div>
                <br style="clear:both" />

                <div style="float:left; width:100px; padding-top:4px; height:18px;" class="label">
                    Rekvireret dato:
                </div>
                <div style="float:left; width:72px; height:20px; padding-top:2px;">
                    <asp:TextBox ID="TextBox_FlushOrderDate" runat="server" CssClass="textBox" Width="66px" MaxLength="10" TabIndex="110"></asp:TextBox>
                </div>
                <div style="float:left; width:35px; height:17px; padding-top:3px;">
                    <img src="Calendar.gif" alt="" onclick="ShowCalendar('TextBox_FlushOrderDate')" />
                </div>                
                <br style="clear:both" />
                    
            </div>

        </div>

        <div style="float:left;">

            <!-- Tilstandsvurdering -->

            <div style="float:left; width:8px; border-top: black 1px solid; margin-top: 11px; border-left: black 1px solid; height: 6px;"></div>
            <div style="float:left; padding-right: 2px; height: 12px; width: 126px;">
                <asp:CheckBox ID="CheckBox_Condition" runat="server" Text="Tilstandsvurdering" Width="125px" onclick="CheckBox_Condition_OnClick(this)" />
            </div>
            <div style="float:left; width:270px; border-top: black 1px solid; margin-top: 11px; border-right: black 1px solid; height: 6px;"></div> <!-- width:282px; -->
            <br style="clear:both;" />

            <div style="border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left:10px; padding-top:1px; height:200px; width:396px;" id="div_visuelControl"> <!-- width:408px; -->

                <div style="float:left; width:78px; height: 13px; padding-top:4px; border-bottom: gray 1px solid; margin-right:4px; margin-bottom:4px;" class="labelReadOnly">
                    Enhed
                </div>
                <div style="float:left; width:150px; height: 13px; padding-top:4px; border-bottom: gray 1px solid; margin-right:4px; margin-bottom:4px;" class="labelReadOnly">
                    Tilstand
                </div>
                <div style="float:left; width:150px; height: 13px; padding-top:4px; border-bottom: gray 1px solid; margin-right:6px; margin-bottom:4px;" class="labelReadOnly">
                    Bemrkning
                </div>
                <br style="clear:both;" />

                <div id="Label_ConditionAccessRoad" style="float:left; width:82px; padding-top:3px; height:18px" class="labelReadOnly">
                    Adgangsvej:
                </div>
                <div style="float:left; width:154px; height:19px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_ConditionAccessRoad" runat="server" CssClass="dropDownListReadOnly" Width="150px" Enabled="false">
                    </asp:DropDownList>
                </div>
                <div style="float:left; width:154px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_ConditionAccessRoadComments" runat="server" CssClass="textBoxReadOnly" Width="146px" MaxLength="255"></asp:TextBox>
                </div>
                <br style="clear:both;" />

                <div id="Label_ConditionInlet" style="float:left; width:82px; padding-top:3px; height:18px" class="labelReadOnly">
                    Indlb:
                </div>
                <div style="float:left; width:154px; height:19px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_ConditionInlet" runat="server" CssClass="dropDownListReadOnly" Width="150px" Enabled="false">
                    </asp:DropDownList>
                </div>
                <div style="float:left; width:154px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_ConditionInletComments" runat="server" CssClass="textBoxReadOnly" Width="146px" MaxLength="255"></asp:TextBox>
                </div>
                <br style="clear:both;" />

                <div id="Label_ConditionClog" style="float:left; width:82px; padding-top:3px; height:18px" class="labelReadOnly">
                    Udlb:
                </div>
                <div style="float:left; width:154px; height:19px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_ConditionClog" runat="server" CssClass="dropDownListReadOnly" Width="150px" Enabled="false">
                    </asp:DropDownList>
                </div>
                <div style="float:left; width:154px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_ConditionClogComments" runat="server" CssClass="textBoxReadOnly" Width="146px" MaxLength="255"></asp:TextBox>
                </div>
                <br style="clear:both;" />

                <div id="Label_ConditionTTube" style="float:left; width:82px; padding-top:3px; height:18px" class="labelReadOnly">
                    T-rr:
                </div>
                <div style="float:left; width:154px; height:19px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_ConditionTTube" runat="server" CssClass="dropDownListReadOnly" Width="150px" Enabled="false">
                    </asp:DropDownList>
                </div>
                <div style="float:left; width:154px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_ConditionTTubeComments" runat="server" CssClass="textBoxReadOnly" Width="146px" MaxLength="255"></asp:TextBox>
                </div>
                <br style="clear:both;" />

                <div id="Label_ConditionChambre" style="float:left; width:82px; padding-top:3px; height:18px" class="labelReadOnly">
                    Kamre:
                </div>
                <div style="float:left; width:154px; height:19px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_ConditionChambre" runat="server" CssClass="dropDownListReadOnly" Width="150px" Enabled="false">
                    </asp:DropDownList>
                </div>
                <div style="float:left; width:154px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_ConditionChambreComments" runat="server" CssClass="textBoxReadOnly" Width="146px" MaxLength="255"></asp:TextBox>
                </div>
                <br style="clear:both;" />

                <div id="Label_ConditionCover" style="float:left; width:82px; padding-top:3px; height:18px" class="labelReadOnly">
                    Dksel:
                </div>
                <div style="float:left; width:154px; height:19px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_ConditionCover" runat="server" CssClass="dropDownListReadOnly" Width="150px" Enabled="false">
                    </asp:DropDownList>
                </div>
                <div style="float:left; width:154px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_ConditionCoverComments" runat="server" CssClass="textBoxReadOnly" Width="146px" MaxLength="255"></asp:TextBox>
                </div>
                <br style="clear:both;" />

                <div id="Label_ConditionImpededAccess" style="float:left; width:82px; padding-top:3px; height:18px" class="labelReadOnly">
                    - ikke fritlagt:
                </div>
                <div style="float:left; width:154px; height:19px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_ConditionImpededAccess" runat="server" CssClass="dropDownListReadOnly" Width="150px" Enabled="false">
                    </asp:DropDownList>
                </div>
                <div style="float:left; width:154px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_ConditionImpededAccessComments" runat="server" CssClass="textBoxReadOnly" Width="146px" MaxLength="255"></asp:TextBox>
                </div>
                <br style="clear:both;" />

                <div id="Label_ConditionBottom" style="float:left; width:82px; padding-top:3px; height:18px" class="labelReadOnly">
                    Tank:
                </div>
                <div style="float:left; width:154px; height:19px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_ConditionBottom" runat="server" CssClass="dropDownListReadOnly" Width="150px" Enabled="false">
                    </asp:DropDownList>
                </div>
                <div style="float:left; width:154px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_ConditionBottomComments" runat="server" CssClass="textBoxReadOnly" Width="146px" MaxLength="255"></asp:TextBox>
                </div>
                <br style="clear:both;" />

            </div>

        </div>
        
        <br style="clear:both;" />

        <div style="width:859px; padding-top:5px;">
            <asp:Button ID="Button_SaveFlush" style="float:right; width:100px;" runat="server" Text="Gem" CssClass="button" OnClientClick="return CheckFlushData()" OnClick="Button_SaveFlush_Click" />
        </div>
        <br style="clear:both;" />

    </div>

    <!-- Calender -->

    <div id="divCalendar" class="boxColor" style="width:155px; display:none; border-right: blue 1px solid; border-top: blue 1px solid; border-left: blue 1px solid; border-bottom: blue 1px solid; padding-right: 2px; padding-left: 2px; padding-bottom: 2px; padding-top: 2px; float: none; z-index: 1; position: absolute; left: 670px; top: 100px;" runat="server">

        <div style="float:left"><input id="ButtonCalPrevMonth" class="monthButtonStyle" type="button" value="<" onclick="return GetMonth(-1)" /></div>
        <div id="divCalMonth" style="float:left;width:113px;height:17px;text-align:center; margin-top: 3px;" runat="server">Current Month</div>
        <div style="float:left"><input id="ButtonCalNextMonth" class="monthButtonStyle" type="button" value=">" onclick="return GetMonth(1)" /></div>
        <br style="clear:both" />
        
        <div class="dayText">ma</div>
        <div class="dayText">ti</div>
        <div class="dayText">on</div>
        <div class="dayText">to</div>
        <div class="dayText">fr</div>
        <div class="dayText" style="color:gray;">l</div>
        <div class="dayText" style="color:gray;">s</div>
        <br style="clear:both" />
        
        <script language="javascript" type="text/javascript">
        var count = 0;
        
        for(var i = 1; i < 43; i++)
        {
            count++;
            
            if((count == 6) || (count == 7))
            {
                document.write('<div class="weekColor" style="float:left"><input id="ButtonCal' + i.toString() + '" class="dayButtomStyle" type="button" value="00" onclick="DatePressed(' + i.toString() + ');" onmouseover="MouseOverButton(this)" onmouseout="MouseOutButton(this)" /></div>');
            
                if(count == 7)
                {
                    document.write('<br style="clear:both" />');
                    count = 0;
                }
            }
            else
            {
                document.write('<div style="float:left"><input id="ButtonCal' + i.toString() + '" class="dayButtomStyle" type="button" value="00" onclick="DatePressed(' + i.toString() + ');" onmouseover="MouseOverButton(this)" onmouseout="MouseOutButton(this)" /></div>');
            }
        }

        </script>
       
    </div>
    
    <asp:HiddenField ID="HiddenField_IsSamletank" runat="server" />
    <asp:HiddenField ID="HiddenField_MinMandatoryFieldsEnabled" runat="server" />
    
    </form>
</body>
</html>
